Introduction

Copyright © 2025 by Milos Paripovic. All Rights Reserved.


Welcome

Introduction ››

Welcome to OneCommander Version 3, a major rewrite of the well-established Version 2. OneCommander is a powerful and flexible dual-pane file manager for Microsoft Windows, using folder columns that make navigating complex folder tree structures fast and intuitive.

Program has started around 2013 and as of 2025 is still getting updates about every 2-3 weeks

This user manual was mostly written by a friend Hugh Gunz, who is unfortunately no longer with us.

Note that some parts of the help will show older interface version, but most will still be relevant. Help will be constantly updated directly by developer in available time, but secondary to main program development.

Help is/will be available both as chm and exported as web version

The program is developed by Milos Paripovic in spare time (not a full-time job)

Since it is a solo-developer project and any support will be limited due to my limited free time. Please search this help document and other platforms like

Google Groups

Discord https://discord.gg/wN6ctNjEtR

While I am available on email

support@onecommander.com

please note that I can't get to each message (or I wouldn't have any time to actually write code next to my full-time job and family obligations)


System requirements

Introduction ››

OneCommander is designed for Windows 10 or Windows 11

.NET Framework 4.8 (pre-installed)

Windows in S mode is not supported

OneCommander works with Windows on ARM, but future native ARM support is uncertain

No plans for Mac or Linux version (OneCommander uses WPF UI framework which is Windows only and it wouldn't be possible to port)


Terminology

Introduction ››

Terminology used in this manual

Mouse buttons:

LMB = left mouse button; similarly,

MMB = middle mouse button

RMB = right-mouse button

"Click" without any qualifications means LMB click.

Context Menu: The menu that pops up when you right-click on something.

Key presses: "<name of key>+" means hold a particular so-called "modifier" key (Ctrl, Shift, Alt) down while pressing another, e.g. "Ctrl+C".

"Win" is the Windows key [image] , which is present on most keyboards, usually two buttons the left of the Spacebar.

Path: Folders and files are referred to generically as "paths", which specifies the path the operating system must take to find a folder or file.

Screenshots: Things to look for are highlighted in red, e.g.:

Settings Location: The folder in which OneCommander's settings are stored. It can be reached from the [image] button on the Main Toolbar . It contains a number of sub-folders, including the Settings Folder, which you'll need to access if you want to move your settings to a copy of OneCommander on another second computer.

Terminal: The generic name for programs that provide access to the Windows Command Line, for example CMD, PowerShell, Windows Terminal.

<.......>: Text enclosed in <> brackets is a placeholder for something else. So, for <user name> you would enter your actual Windows user name.


What's new

Introduction ››

For most up-to-date changes log open directly

https://onecommander.com/releasenotes.txt


Software License Agreement

Introduction ››

Software License Agreement

IMPORTANT - READ CAREFULLY: This License Agreement is a binding legal document between Milos Paripovic (the "Author") and the individual or entity installing or using this software product ("Software"), herein referred to as the "Licensee." The Licensee includes any purchasers, users, or evaluators of the Software. By installing, using, or evaluating the Software, the Licensee accepts and agrees to be bound by all terms and conditions of this Agreement. This Agreement stipulates that the Licensee, whether acting on an individual capacity or on behalf of an employer or other entity in a professional capacity, is duly authorized to accept these terms. If the Licensee does not agree to these terms, they must remove and cease use of the Software immediately.

License

Under this Software License Agreement, the Author grants the Licensee a non-exclusive and non-transferable license to use this Software, subject to the terms herein.

Title, copyright, intellectual property rights and distribution rights of the Software remain exclusively with the Author. This Agreement constitutes a license for use only and is not in any way a transfer of ownership rights to the Software.

The Licensee may not transfer or assign any of the rights or obligations granted under this Agreement to any other person or legal entity. The Licensee may not rent, lease, lend, sell, redistribute or sub-license this Software.

Failure to comply with any of the terms under the License section will be considered a material breach of this Agreement.

OneCommander offers two licensing options: a free Home license for personal and educational use, and a paid Professional (Pro) license for commercial use.

Home (non-commercial) License Terms

License Nature: The Home license of OneCommander is freely available for personal, educational, and non-profit organization use, and does not require a license key.

Usage Definition: Personal use is defined as employing the Software on a personal computer to manage personal documents, photos, movies, music, and other files without the intention of commercial gain.

Feature Limitation: The Home license version provides a limited feature set. Certain settings and features are not modifiable or are locked and labeled with "Pro" within the software settings.

Professional (Pro) License Terms

Commercial Requirement: Commercial use of the Software necessitates the purchase of a Pro license. This applies whether or not the additional features locked in the Home version are needed.

Commercial Use Definition: Commercial use is defined as utilizing the Software in or for a business, directly or indirectly for financial gain, or on a company-owned device.

Evaluation Period: In a commercial setting, the Licensee may download and use the Home licensed version for evaluation purposes for up to fourteen (14) days before the purchase of the Pro license is required.

License Key: The Pro license is activated and enforced through a unique License Key, which unlocks additional program features and settings labeled with "Pro" in the software.

License Key Protection: Pro license holders are required to exercise reasonable efforts to safeguard their license key to prevent its unauthorized disclosure or distribution. This includes securing the license key against unauthorized access and not sharing it publicly or with individuals not covered under the terms of the Pro license.

Pro License Flexibility for Companies

Multi-user Licenses: Companies can acquire multi-user Pro licenses, allowing any employee to use the Software provided the correct number of licenses has been purchased.

Device Usage Flexibility: A Pro license is granted on a per-user basis, allowing a single licensed individual to install and use the Software on multiple devices, up to 10, as long as these devices are exclusively used by the licensed user. This setup ensures that even with multiple devices (e.g., office workstation, work laptop, virtual machine), only one license is required per user.

License Reassignment: If an employee leaves the company, their license key may be reassigned to another employee.

Minimum Purchase Requirement: Companies must purchase a minimum of three (3) Pro licenses.

Duration and Updates for Pro Licenses

Lifetime Use: Pro licenses are granted as lifetime licenses, permitting use without any time restrictions.

Version and Updates Commitment: Upon purchasing a Pro license, Licensees gain access to the feature set of the Software as it stands at the time of purchase. The Author pledges to provide Licensees with access to any and all future "Pro" features developed for the Software at no additional cost. This commitment ensures that existing Pro license holders will benefit from enhancements and expansions to the Software's capabilities, should they be developed. However, the development of new features remains at the discretion of the Author.

Intellectual Property Restrictions

The Licensee shall not, and shall not attempt to reverse engineer, disassemble, or decompile this Software or alter or remove any proprietary rights or copyright notices or identifications of this Software. The Licensee shall not create any derivative works or other works that are based upon or derived from this Software in whole or in part. The Author retains sole and exclusive ownership and intellectual property rights to this Software. This Software is protected without limitation by US copyright law and international copyright treaty provisions. All rights not expressly granted hereunder are reserved for the Author.

Third Party Components

This Software incorporates various third-party components and libraries, many of which are open-source and governed by their respective open-source licenses. To ensure transparency and compliance, the specific licenses dictating the terms and conditions for the use of these third-party components are readily available within the "Licenses" folder of the Software.

Limitation of Liability

The software is provided by the Author and accepted by the Licensee "as is" and without warranty of any kind, express, implied or otherwise, including without limitation, any warranty of merchantability or fitness for a particular purpose.

In no event will Author or any of its affiliates, or contributors to the software, be liable for any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not limited to, procurement of substitute goods or services; loss of profits or data, business interruption) however caused and on any theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise) arising in any way out of the use, misuse, inability to use, or malfunction of the software, even if advised of the possibility of such damage.

In no event shall Author's liability under, arising out of or relating to this agreement, exceed the amount paid by Licensee to Author hereunder during the twelve (12) months preceding the event.

The Author makes no warranty expressed or implied regarding the fitness of the software for a particular purpose or that the software will be suitable or appropriate for the specific requirements of the Licensee.

The Author does not warrant that use of the software will be uninterrupted or error-free.

Warrants and Representations

The Author warrants and represents that it is the copyright holder of the Software.

Acceptance

All terms, conditions and obligations of this Agreement will be deemed to be accepted by the Licensee on installation or first run of the Software.

Term

The term of this Agreement will begin on Acceptance and is perpetual.

Support

Licensee recognizes the Author is not obligated to provide support for the Software

Termination

This Agreement will be terminated where the Licensee has failed to comply with any of the terms of this Agreement or is in breach of this Agreement. On termination of this Agreement for any reason, the Licensee will promptly uninstall and remove all the copies of the Software. The Licensee may terminate the license at any time by uninstalling or deleting the copies of the Software.

Unauthorized distribution and sharing of license key immediately voids the license and results in forfeiture of all Licensee's rights to continue to use the Software.

Governing Law

The Parties to this Agreement submit to the jurisdiction of the courts of the State of New York for the enforcement of this Agreement or any arbitration award or decision arising from this Agreement. This Agreement will be enforced or construed according to the laws of the State of New York.

Privacy and Data Handling Practices

Data Transmission and Storage:

The Software is designed to respect user privacy, ensuring that it does not transmit users' personal data externally.

For its core file-management functionality, the Software may locally cache data, such as folder sizes, thumbnails of files, file paths, and operation logs. This cached data is stored locally on the user's computer and is not transmitted to any external servers.

User credentials are not collected, stored, or handled by the Software. User Account Control (UAC) prompts and other authentication processes are managed directly by Windows, maintaining the security of user credentials.

Software Updates:

To keep the Software up-to-date, it automatically checks for new versions at each startup by downloading a 10-byte file from OneCommander.com that contains the latest version number. No data being transmitted.

License Activation and Error Reporting:

The initial activation of the Software's license key involves logging the key via Microsoft's Application Insights to verify its validity.

In the pursuit of continuous improvement, the Software may collect crash reports, including stack traces (Error message and line numbers where the crash originated) and related diagnostics. This collection is done with the utmost care to exclude personally identifiable information (PII), ensuring that data is sanitized before submission. For company licenses, crash logging is disabled by default.

External Links and Analytics:

Users have the option to access help and other resources through links within the Software. These links open in the user's default web browser and may lead to webpages that utilize Google Analytics for standard visitor logging. However, this data collection is managed by the destination webpages and is not accessible by the Software or any third parties through it.

Handling of Personal Information

License Purchase Process:

When purchasing a license, the user's name and email address are required to generate and deliver the license key. This key is auto-generated and sent directly to the provided email address for immediate use. None of this data is shared or sold with any third party.

To ensure the possibility of license key recovery, a copy of the license key email is securely stored within the Author's email system (Google Workspace). This measure is purely for the purpose of facilitating key recovery by the Licensee upon request.

Financial transactions for the license purchase are processed exclusively through established payment providers (Stripe or PayPal). The Author does not access, handle, or store any credit card information. The security and privacy of payment information are governed by the respective payment provider's privacy policy, ensuring financial data's protection.

Miscellaneous

This Agreement does not create or imply any relationship in agency or partnership between the Author and the Licensee.

Headings are inserted for the convenience of the parties only and are not to be considered when interpreting this Agreement.

Words in the singular can also include the plural forms and vice versa.

It is the responsibility of the Licensee to ensure that the terms and conditions of this Agreement are in compliance with all local, state, national, and international laws and regulations applicable to the Licensee. By accepting this Agreement, the Licensee acknowledges this responsibility and, to the extent permitted by law, expressly waives any rights that may conflict with the terms of this Agreement.

This Agreement contains the entire agreement between the parties. No oral or written statement or advice provided by the Author, distributors, agents or employees shall create a warranty or in any way increase the scope of this warranty.

Changes

The Author reserves the right to modify or replace these terms and conditions at any time. If a revision is material the notice will be communicated through the feature-update dialogs for at least two Software updates. What constitutes a material change will be determined at Author's sole discretion.

By continuing to access or use this Software after those revisions become effective, Licensee agree to be bound by the revised terms.

For any questions concerning this License Agreement, or if you desire to contact Author for any reason, please write to support@onecommander.com


Get Started

Copyright © 2025 by Milos Paripovic. All Rights Reserved.


Installing

Get Started ››

Installing OneCommander V3

OneCommander Version 3 comes in a few forms, all of which will be automatically updated as the official new versions become available.

MSI Installer version:

  • Recommended version
  • Uses standard Microsoft installer, so it can be deployed with standard MSI switches, like silent installation
  • Suitable for both single and multi-user machines

  • Portable* version:
  • No installation
  • There is no Uninstall (because it is not "installed") but you must unregister it if you have set it as default file manager by following these steps
  • Can be run from computers where user doesn't have install "permissions"
  • Cannot run from Program Files or other system folders
  • Cannot run from Cloud folders
  • Not suitable for multi-user PCs
  • Settings are in the same folder with main application
  • * It is "portable" in a sense that everything that program needs is in one folder, it doesn't require writing Windows Registry
  • "Install" on a fast drive, preferably NVMe. If it is not on system drive make sure drive is not set to go to sleep

  • This is downloaded from https:\\onecommander.com, and comes as a zip file . Those can be installed in any folder that has a full write access (no Program Files or other system folders)
  • To "install" this version:
    • Download a zip file from onecommander.com
    • Right-click the zip file and select "Properties". At the bottom of the General tab, under "Security", check the "Unblock" box:

  • Extract the contents of the zip file in the usual manner to the folder in which you want to store the program.
  • Move the extracted folder to the place where you keep other Portable programs, so in C:\Apps\ or C:\PortablePrograms\
  • Create a shortcut for the file OneCommander.exe (it cannot automatically create entry in Start menu Programs, or desktop). Right-click on the file OneCommander.exe and select "Create shortcut". This creates the shortcut file "OneCommander.exe - Shortcut.lnk", which you can move to Desktop or put it on the Start Men by copying it to C:\Users\<username>\AppData\Roaming\Microsoft\Windows\Start Menu.

  • Microsoft Store version
  • Not recommended unless that is the only way to install - for example due to company policy
  • This version is installed by the Store on your computer and updated from there.
  • It has several limitations due to being a Microsoft Store app
    • The Settings files are found at "C:\Users\<User name>\OneCommander".
    • It cannot run Explorer Preview controls, meaning that OneCommander's native Preview can't open certain file types (mainly Microsoft Office files).

  • Other versions

  • Scoop (in Extras)
  • scoop bucket add extras
  • scoop install onecommander

  • Winget
  • winget install OneCommander --source winget --silent

  • Chocolatey:
  • Not recommended - behind on updates; 3rd party maintainer; bad policy of Chocolatey
  • choco install onecommander

Upgrading from Version 2: If you want to re-use your Version 2 settings, go to Settings > Window and click on

Installing OneCommander on more than one computer

If you would like to move your settings to OneCommander on a second computer:

  1. Install OneCommander on the second computer.
  2. On a removable medium (e.g. a USB drive), make a copy of the first computer's file "OneCommanderV3.json", which you can find in the Settings folder.
  3. On the second computer, Ctrl+Close OneCommander to ensure it is not running in background.
  4. Locate the Settings folder and rename the file "OneCommanderV3.json" to something else, for example "OneCommanderV3.json.installation".
  5. Copy/move the "OneCommanderV3.json" file from your first computer into the Settings folder on the second computer.

This will move over your basic settings. Others, such as Favorites, thumbnail database, Tabs, Tags, and similar can't be copied over because they reference folders specific to the first computer.

Updating

  • See the dedicated page for Updating

Uninstalling

  • See the dedicated page for Uninstalling


Limitations of Microsoft Store version

Get Started ›› Installing ››

Limitations of Microsoft Store version

Even though the Store version is exactly the same code, the Store version of OneCommander has some limitations compared to the standalone versions because it runs under some Microsoft Store / packaged app constraints

  • Operations on files in AppData and some system folders is limited for Store apps. See info on Microsoft's website
  • Per-operation elevation is not permitted - example: copying into a folder without access will show UAC prompt but will fail, so elevating the OneCommander itself is the only way (Ctrl+Shift+F12) but not recommended
  • There might be additional security permissions limitations due to permission bugs in packaged apps (a few users have reported that opening Office files would fail with permissions error)
  • Always one or two versions behind the standalone versions due to time it takes to pass Store certification and potential delay for managing critical updates
  • Microsoft account is required to purchase Pro license for the Microsoft Store version
  • Reported issues with setting/changing default file associations
  • No volume licensing option or company licenses


Updating

Get Started ››

Updating

Program has update released about every two weeks.

Updates don't affect user's global settings, saved tabs, favorites, or anything else.

Program has 2 tracks: official update and "Version ahead".

Each new version is considered a "Version ahead" that is available for manual download for the first few days after the release. This is for the case that there are some regression bugs that were missed in internal testing. Once there is enough downloads of the "Version ahead" and no bugs were discovered, that version becomes an official update. All existing users will get a notification of the new version and will be able to do one-click update.

The program checks for updates each time a new window is opened. Please note that if you have the default option set to hide window instead of closing (for faster startup) then this is not considered window being opened (just unhidden, which is a significantly faster).

The update message will be shown only once per day in the notification area.

If there is an official update available (or "version ahead", and showing updates for those enabled in Settings>Advanced),

a red Update button will be shown on top-right of the window

The next steps depends on the install type:

Portable

Updater program will open and OC will be closed (unless file operations are in progress). Within several seconds (depending on your internet speed) new version will be downloaded, and the updater will show the progress bar and the updated program will reopen.

MSI installer

Uses standard Windows installer. On the red-button click, the latest installer will be downloaded and auto-started, it will close OC, and it will reinstall updated version in the default location. After the update program must be manually reopened.

Microsoft Store version

This version cannot auto update in the same way. Microsoft Store is in charge of the update roll-out, or user can choose to update manually after the program notifies of the new update.

To update the Store version, open Microsoft Store, Click Library (bottom left corner)

then

and click Update next to OneCommander

Advanced

If you wish to be on the "Version ahead" track and always be notified of the latest updates, you can enable this option in settings:

Depending on the install type, there might be a Reinstall button that will reinstall the program with latest version. This will force "Version ahead" even if user didn't enabled updating to the "Version Ahead"

Troubleshooting

Portable version only: If for some reason portable version doesn't work, you can start onecommanderupdater.exe from the program folder. Alternatively, you can download latest portable version from the OneCommander.com website and extract its contents of the existing portable version files (Ensure OneCommander, OneCommanderConnector and Taskmaster are not running in the Windows Task Manager, or the update will fail)


Versioning

Get Started ›› Updating ››

Versioning

Besides a main update track and Version Ahead tracks (see Updating page), version numbers might give you a clue if you should update.

3.X.Y.Z

3 is the major version number and there are currently no plans to change it.

X is incremented on significant updates. It could be a new feature or underlying change that makes it significant. This will be incremented forever (so after 3.99, it will be 3.100...)

Y is incremented on smaller but relatively important fix or a small improvement. If 3.50.0 crashed, you may see if 3.50.1 is available. Right after an X release, any reported bug will be fixed and Y incremented before more users download or update. Daily or even hourly if time permits or update is important enough

Z is incremented with a small improvement or small insignificant bug-fix that doesn't affect many users. It might be even a few typos, language file update or a similar small change, or a user reported something, new version is packed so they can test it out. If only the last number changes there is no need to update

If you are a company it is best NOT to update to 3.X.0.0 as that update is an initial release of new features, and 3.X.1.0 will be more stable (additional fixes over the initial release)


Uninstalling

Get Started ››

Uninstalling

If you ever need to uninstall OneCommander you MUST uncheck all these options

(if you have set it as a default file manager, uninstalling it will leave you without a default file manager)

Close OneCommander completely

MSI Installer or Microsoft Store version:

Uninstall the same way as any other Windows application, either from Programs an Features, the Settings app, or right-clicking it in Start menu and selecting Uninstall

Portable version

Portable versions are not installed so there is nothing to uninstall. Once you have ensured that the above settings are not enabled, you can just delete the folder where OneCommander was saved and remove the desktop/start menu shortcut if you have manually created those. OC doesn't use Windows Registry to save any settings


Migrating settings

Get Started ››

Migrating settings

  • Settings location depends on installation type (MSI/Portable/Store version).

  • MSI installed version: in %localappdata%\OneCommander\Settings (you can paste this in address bar)
  • Portable: same folder where you have unzipped the archive in \Settings folder
  • Microsoft Store version is in C:\Users\yourname\OneCommander
  • The easiest way to find it is to click
  • Settings>Settings location button in bottom-left

  • The main settings file is \Settings\OneCommanderV3.json

  • Don't copy any other file from that folder. The rest from Settings folder are machine specific, so tabs, favorites, tags, destinations, thumbnails, windows... will point to non-existent locations, if you copy everything to a different machine, but if it is just for backup for the same machine, you should backup those also.

Copy settings to another machine

  • Start OneCommander on the new machine so everything is properly initialized.
  • Close OneCommander completely on both machines (Hold Ctrl while clicking close button) and make sure it is not in task manager.

Using Explorer, copy the OneCommanderV3.json from one machine to another to the same settings folder

  • In that settings file most settings are not machine specific, some are.

  • If you have made custom themes, created file templates or scripts, then you will need Themes, Resources, and Templates folder to copy/backup also.

  • Synchronization of settings between machines

  • Settings CAN'T be auto synchronized and MUST NOT be on OneDrive or other cloud/synchronized folder or the program will be crashing due to sharing violation (synchronization software blocking OC access while syncing file), it will cause corrupt settings, the performance would be bad. If synchronized on two PCs, they would be overwriting each other settings, window location, list of favorites and tabs, tags...

OC stores all settings in a single json file which can be found by clicking

Some settings

Favorites will be wrong if it is different username (user folder) and all other paths if drive letters are different, and other bookmarked folders from system drive (then it is question of giving user options to choose which paths to keep). Some tags will be also wrong, destinations, saved windows, tabs.


Purchasing Pro license

Get Started ››

Purchasing OneCommander Pro license

OneCommander comes in two versions:
Home: Free for Personal Use: Has all the basic features of OneCommander, that should be suitable for 99% of users.
Professional "Pro": for Advanced Personal or Commercial Use

Both versions are the same installation, so there is no need to install anything else. The additonal features are unlocked by entering the purchased license key.

The Pro version can be purchased by clicking on the [image] button from About or Settings dialog

Transferring the license between PCs

  • If you have a Machine-based license (very long string) it is meant for licensed-machine only, but you can move to a new machine once within one year of purchase by replying to the email with the original license and providing a new Machine ID from the licensing dialog (About>"Transfer license from another PC")
  • If you have a User-based license (starts with "LIC-"), you can just use the same license key on a new PC.
  • If you purchased license from the Microsoft Store, you have install OC from the Microsoft Store and to log into the Microsoft Store with the Microsoft account that you used to purchase the license


Full reference guide

This guide provides you with all that you need to start using OneCommander Version 3. We strongly recommend that you read it sooner rather than later; Please report if something important is missing.


Opening One Commander for the first time

Full reference guide ››

1. Opening OneCommander for the first time

OneCommander is a dual-pane file manager, meaning that it can simultaneously display either one or two independent file browsers within the same window. The browsers can be viewed either in the Standard Layout, with a navigation pane at the top and a detailed view of the current folder at the bottom, or in a more compact Columns Layout.

The first time you open OneCommander:

  1. You'll be asked if you want to import Favorites from OneCommander Version 2, or from the Microsoft Store version.
  2. You'll be given the choice of which layout you'd prefer, as well as which theme:

This defines the default layout for new windows. You can change these selections later from Settings.
You can switch between the layouts of current window using the "Layout" button [image] or [image] at bottom left of the Main Window , or use a single-browser view by dragging the divider separating the browsers.

When you first launch OneCommander in the Standard Layout the Folder Columns are hidden.

Closing OneCommander

Clicking on the [image] (WindowClose) button at the top right of the Main Window doesn't shut OneCommander down; it just closes the window so that you can re-open it quickly when you need it, for example by pressing Win+Alt+E. You can shut it down by holding Ctrl while clicking the Window Close button. Click here for details.

Starting OneCommander using the Command Line

This is explained here .


Starting/closing

Full reference guide ››

Starting, Reopening, and Closing OneCommander

By default OneCommander continues to run in background once started (like Explorer - when you close Explorer window, explorer.exe still runs). This makes it start faster the next time. OneCommander is built on .NET which compiles code at the time it is run, and it will never break any startup speed records, and this way it takes performance hit only on start. If you enable Autorstart with Windows (Settings>Advanced) and let it run in the background, you will not need to worry about those 3 seconds.

To re-open OneCommander when it is running in the background:

  • Double-click on the OneCommander icon in the System Tray or Notification Area (the area at the right-hand end of the Windows Taskbar holding things like the Windows volume control; see below if you can't see the OneCommander icon here).
  • Right-click on the OneCommander icon in the System Tray/Notification Area and select "Show window".
  • Press Win+Alt+E (set to be close to Win+E Explorer hotkey, but can be changed in settings)

To fully shut OneCommander down, right-click on the OneCommander icon in the System Tray/Notification Area and select "Exit",

or Ctrl+Click WindowClose [image] at the top right of the Main Window .

Restarting as Administrator

To restart OneCommander as Administrator, press Ctrl+Shift+F12. Running as Administrator is not recommended, as drag&drop from other applications won't work (windows limitation), files created in this mode may have different owner and permissions, some context menu items won't be available...

Run as a different user

In multiuser environment, you may want to run OC in another user's context.

Right-click OC icon in system tray and click Run as different user [PRO].

Starting from Command Line

See here .

If the OneCommander icon isn't visible in the System Tray/Notification Area:

Quick way: At the top of the System Tray/Notification area, click on the arrow:

That will reveal all System Tray/Notification Area icons. Drag the OneCommander icon to the area with other icons such as volume control.

Slow way: Right-click in an unused part of the Windows Taskbar and select "Taskbar settings". Scroll down the right-hand Settings window to the Notification area:

Click on "Select which icons appear on the taskbar", scroll down to OneCommander, and turn it on.


Starting from Command line

Full reference guide ›› Starting/closing ››

Starting from Command line

OneCommander can be started from the command line using a number of switches.

Switched can be added directly in command line or as a paramter in a program shortcut.

If starting from command line, current path has to be where OneCommander.exe is located, otherwise search web how a program can be added to "system path variable".

In case you have a Pro license, you can let the program do this for you from Settings>Advanced:

Store version can already be started by calling onecommander.exe from anywhere (Store apps have aliases)

  • At a particular path:
    • onecommander.exe "C:\path"
  • To open in the same tab:
    • onecommander.exe -o "C:\path"
  • To open in a new tab:
    • onecommander.exe -o "C:\path" -newtab
  • To start OneCommander with the Main Window in the default position (the equivalent of starting OneCommander and pressing Shift+F1):
    • onecommander.exe -resetwindowposition
  • The path "C:\fullpath" in the first Browser (e.g. the left browser in Standard Layout):
    • onecommander.exe -path "<path>"
    • onecommander.exe -p "<path>"
    • onecommander.exe -"<path>"
  • The path "C:\fullpath" in the second Browser (e.g. the right browser in Standard Layout):
    • onecommander.exe -p2 "<path>"
  • Start OC without Main Window (i.e. OneCommander running in the background )
    • OneCommander.exe -nowindow
    • (note that you shouldn't pin program opened like this or clicking the pinned icon will not open the window)

Open saved window (if you have window a name in New window dialog)

    • onecommander.exe -openwin SomeWindowName

If you are using PowerShell, you can open OC in the current folder by typing

oc .

The Create PowerShell alias 'oc' has to be clicked - shown in the image above (Pro users only)


Main Window

Full reference guide ››

Finding your way around OneCommander

The Main Window displays a sidebar and either one or two browsers

The labels for the various components of the User Interface (UI) are shown here for the two layouts, in each case with two Browsers visible.

Standard Layout

Columns Layout

Navigation pane

You can reveal columns by clicking the [image] button, to the right of the folder path at the top of each browser:

or by dragging down the Navigation/Folder Pane Divider just underneath the folder path (keep dragging until the message "Expand more to show pane" disappears):

or by pressing ` (key under ESC) on US ANSI keyboard (this can be changed in the Shortcuts editor)

The browsers can be displayed in either Standard or Columns layouts. You can switch back and forth between them as often as you like using the Layout Button ( [image] or [image] ) at the bottom left of the Main window (in the Main Toolbar; see next section on this page). When you do this, the only thing that changes is the layout; the files, folders, and settings remain the same.

Main Toolbar

The Main Toolbar is at the bottom right of the Main Window: . The buttons are:
Settings
About program
/ [image] Change Layout
Search
File Automator
Open a new Window

Notification Pane

Notifications appear briefly at the bottom of the Main Window to tell you of things that have happened. You can view a list of the most recent notifications by pressing "~" (Shift+` (key under Esc) on US ANSI keyboard - it can be changed with Shortcuts Editor), or by clicking on the upward-pointing arrow [image] in the bottom right-hand corner of the Main Window.


Windows

Full reference guide ››

Main Window

Opening, closing and positioning Main Window

See Starting, Reopening, and Closing OneCommander (quick tip: if OneCommander is running but you can't see the window, try Win+Alt+E to re-open it. If it still isn't visible, perhaps it's got moved off-screen. Try Shift+F1 to move it back on screen).

Creating new windows

Click [image] in the main program toolbar (or click New Window in menu top-left) to create a new window. You can create as many as you like, each with its own layout. Favorites, however, are shared by all Main Windows.

Give window names. This ensures it remembers tabs, layout, screen position for the next time you need that window

Using Windows Virtual Desktops

If you're using Windows Virtual Desktops, you can choose whether Win+Alt+E (but not Ctrl+`):

  • brings OneCommander to your current desktop, or
  • changes Virtual Desktops to the one on which a OneCommander Main Window is currently open.

This setting is in Settings > Window.
If no Window is currently open, then whichever setting you choose, Win+Alt+E opens a window in your current Virtual Desktop.

Moving dividers

Many of the dividers (the grey borders that separate different panes) have short dotted lines and V-shaped arrows, for example the Browser Divider:

Click and hold on the dotted line to move the divider (actually, you can click and hold anywhere along the divider's length except on the arrows for the same result).
Click on an arrow to move the divider as far as it will go. For example, clicking on a Browser Divider arrow hides the Browser that's in the direction in which the arrow points. Clicking on an arrow when the divider is at its limit of travel restores the divider to its default position.

Troubleshooting

  • No window is visible but it shows in taskbar

If you have disconnected a monitor the window may still be stuck on the non-existent screen. Press Shift+F1 to reset it to default location on main screen, or right-click on it in taskbar and select Center Current Window


Resizing panes and browsers

Full reference guide ››

Resizing panes and browsers

Most panes are surrounded by a border or divider that can be dragged to resize the pane in question. Some borders appear when the cursor moves over them, but are hidden otherwise to eliminate unnecessary clutter.

(shown here as red lines)

Click and drag to resize. Some have minimum width/height that will trigger a panel auto-collapse (for example files list is useless if you can see just icon and 5 letters of the name, so it collapses to 0 when you release mouse button)

Many borders or dividers have Drag Handles (the double dotted lines) and Open/Close Arrows:

Collapsing a Browser to create a single-browser layout

For dual-pane layouts. Each Browser has a minimum width (Standard Layout) or height (Columns Layout). When that minimum is reached a "collapse" message appears, and if the Left Mouse Button is released the Browser in question collapses. It can be restored by clicking on the Open/Close Arrow that points in the "open" direction, or by dragging the Drag Handle.


Browsers and Layouts

Full reference guide ››

4. The Browsers and Layouts

The browsers are divided into three main panes (see screenshots below):

  • Navigation Pane: Shows all attached and mapped drives as a series of Miller columns that allow you to navigate up and down the folder trees for each drive. Toggle navigation pane with [image] button in the top-right.
  • Current Folder Pane: Shows the contents of the folder that is currently selected in the Navigation Pane.
  • Details Pane: Shows details of the folder or file that is currently selected in the Current Folder Pane. If a file is selected, this pane shows a preview of the contents of the file if it can (not all file types are supported).

Layouts

OneCommander provides 3 layouts: Standard, Columns, and Classic (single pane).

Switch by using layout button in the Main Toolbar. In brief, the Standard Layout shows one or both Browsers side-by-side and a set of Folder Columns at the top of the Browser with the Current Folder below them, while the Columns Layout sets the Browsers one above the other, with the Current Folder to the right, as the final column in the Folder Column display. Classic layout is single browser layout made to look similar to Explorer, with single large files-list pane and preview on the right.

Path selection is slightly different in each display, but other than that it is entirely a matter of personal preference as to which you use.

The layout is saved between sessions if the window has a name (creating a new window without giving it a name creates a window that doesn't save layout or tabs)

The Browsers

Some other file managers call these "Panes", as in "Dual-Pane file manager" but due to everyhing in UI world being considered a "Pane" or "Panel" we are using here the term "Browser".

You can resize either browser (in dual-pane layouts only) by dragging their borders, or the Browser Divider separating them. Some borders have a drag handle surrounded by arrows: . The drag handle isn't strictly speaking necessary; it serves as a reminder that the divider can be dragged. The arrows jump the divider to the end of its travel.

If you try to reduce the width of a browser below a certain point it tells you that it's about to collapse, meaning that it's about to disappear from view so that you see a single-browser view. You can restore the dual-browser view by dragging the border or Browser Divider back again (or use the drag handle or arrow). The browser will be restored exactly as it was before.

If the Main Window is too narrow to show both Browsers in the Standard Layout, one Browser will be closed. It will be re-opened if you make the Main Window wide enough.

You can create background images for the Folder Panes — click here for how to do it.

Standard Layout Browser

Columns Layout Browser

Copyright © 2025 by Milos Paripovic. All Rights Reserved.


Sidebar

Full reference guide ››

7. Sidebar

The Sidebar is the centre of operations for OneCommander.

You can collapse and expand it with shortcut

Alt+S (S as sidebar)

The sidebar is divided into several sections:

1. Drives

This lists the currently-attached and mapped drives. It can be hidden by double-clicking Drives title (like any other group in sidebar). The [image] button gives the following options:

  • - Refresh everything - OneCommander has a system to monitor for folder changes, but in some rare cases the folder don't refresh. This is the same as pressing F5 (which is the same as refresh in web browsers)
  • - Map network drive
  • - Browse phone - Since OC doesn't support MTP protocol, this opens Explorer to show attached phone content. See a workaround to browse phone storage directly in OC

2. Favorites

OneCommander allows you to add as many favorite folders as you like. They are arranged into groups in the Sidebar. OneCommander creates an initial group from a list of standard folders in your C:\Users\<username> folder, and you can add as many groups as you like by clicking the "New Group" button. Here's an example of a Favorites Group:

Favorite folders have two basic uses:

  • They act as bookmarks for folders you use often:
    • click on a favorite folder and it opens in the currently-active browser (in dual pane layouts), in the currently-selected tab
    • MMB opens the path in a new tab in the currently-active browser

In dual-pane layouts you will see two buttons [1][2] on hover, to choose in which browser to open the folder

  • You can quickly move or copy files or folders from a browser to a favorite folder by dragging (to move), or holding the Ctrl key down and dragging (to copy), the file or folder from the browser and dropping it onto one of the items in the Favorites Group.
  • Note that dragging a file or folder to a favorites group does not create a new favorite; it just moves or copies that folder or file to the chosen favorite.

See more in Favorites section

Basic operations for favorites groups:

  • Add folder to group: Click the "+" button to the right of the group's name, or drop the folder into the group's title.
  • Rearrange folders within group, move folders between groups: Drag folders up and down within group or between groups.
  • Rearrange Groups: Click on the [image] button to: select "Move up" or "Move down"
  • Create aliases (alternative names) for folders in groups: Right-click on folder name and select "Change Alias". This doesn't rename the folder but just creates an alias for it
  • Remove folders from groups: Right-click on folder name and select "Remove from group".

3. History

History is a quick way to find what you browsed recently.

It holds the most recently opened folders regardless of window or tab in which they were opened.

If opened folder is already in the list, it is moved to the top.

You can remove it, using an option from its header menu.

Change number of remembered folders and other related options in Settings>Window>Sidebar

You can't move the history pane up, or mix with favorites, because it is a different panel just made to look like favorites group. In the future there might be additional sidebar customization options.

4. Main Toolbar

See here for more.

Troubleshooting

Smartphone is not showing up: See here


Favorites

Full reference guide ›› Sidebar ››

Favorites

Favorites are found in the Sidebar ; they are links to paths you use often. You can have as many lists of favorite paths as you like here, organized into Groups. Click on any Favorite in the list to open the path in the current Tab. When you first open OneCommander a Default Favorites Group is created ("Account name" is the name of the account you're signed in to on your computer):

Adding Groups and Favorites

Add new Favorites Group: Click the [image] button at the bottom of the Sidebar.
Add new path to a Group: Click on the "+" button to the right of the Group's name adds the current folder to the Group:

Rearranging Favorites Groups

Click on the [image] button to:

  • Rename Favorites Group
  • Change order of Favorites Groups (select "Move up" or "Move down")
  • Delete Favorites Group

Editing Favorites within a Group

The context (right-click) menu for any favorite allows you to:

  • Open the favorite in a new Tab in the current Browser, or a new Tab in the Browser that doesn't currently have the focus
  • Remove the Path from this Favorites list (this doesn't delete the Path from the computer)
  • Change Alias — i.e. rename the Favorite without changing the actual folder name that it points to

Adding Groups and Favorites

  • Add new Favorites Group by clicking the New Group button at the bottom of the Sidebar.
  • Add new path to a Group by clicking on the "+" button to the right of the Group's name:

Troubleshooting

If you delete the Default Favorites group by mistake, don't panic! It can be recreated by going to Settings > Window and clicking on the [image] button.

Recycle Bin button can't be deleted - this is by design, as there would be no other way to access the Recycle bin. You can move it to a different group (drag it) if you need to delete group that just contains that Recycle Bin


Network Drives

Full reference guide ›› Sidebar ››

Network Drives

In network sidebar group you have two options to scan for computers:

The first option uses Windows network discovery, same as Explore, and as Explorer it will miss some computers.

Second options scans the IP range of the subnet and will find more computers but it is usually slower.

The suggestions is that once you find the computers you need, add them to sidebar favorites as that will be faster for access next time (and better if you have too many computers on the network)

If you already know the IP or NETBIOS name, open path edit dropdown (Alt+D or \ ) and type in path for the network drive (e.g. "\\192.168.1.109" or "\\NAS").

If the folders in the drive are locked there will be a Log in button

this will prompt Windows credentials dialog (OneCommander is not managing your credentials).

In case this fails, right-click on the required folder and select "Open". OneCommander will open Windows Explorer, which in turn will open a network credentials window so that you can enter the user name and password for the folder:

Once you've done that, you can open the locked folder in OneCommander.

Note that this has the same limitation as Explorer that you can use only one set of credentials for network resource (if connecting to the same computer but need to provide different credentials, use netbios name on one, and ip address on other)

Troubleshooting

FTP / SFTP access

FTP protocol is not supported. Use SSHFS or different way of mounting ftp share as a drive letter, exposing it as a proper filesystem.

RAIDRIVE causes crashing of OC and is not recommended


Selecting and opening files and folders

Full reference guide ››

File and Path Operations

Most file operations involve standard Windows procedures, but some differ a little.

Selecting

  • Select: single click
  • Window select: draw selection rectangle with Middle-Mouse-Button (no need to hunt for empty space between files, drag from anywhere)
  • Select several files: Ctrl+Click if files are not contiguous in the list, Shift+Click if they are

Selecting with keyboard only: If you hold Ctrl key, you can use up/down arrows to focus another file and press spacebar (while still holding Ctrl, it will toggle selection on that file). Holding Shift+Ctrl will keep adding files as you click the down key

  • Note: File selection check boxes are currently not planned

Opening folders and files

  • Open: double click or Enter key
  • Open several files: select all then press Enter (it may take a looong time)
  • Open with dialog: Ctrl+Enter
  • Open .exe or .bat as Admin: Ctrl+Enter
  • Open .exe with custom launch arguments: Ctrl+Shift+Enter

Single-click to open

You can set OneCommander to single-click open either files and folders, or just files, but this may be removed in the future; see Settings > Other .


Folder Pane

Full reference guide ››

Folder Pane

The Folder Pane lists the contents of the Current Folder, and shows a preview and more details about the currently-selected folder or file.

  • In the Standard Layout, the Folder Pane is below the Folder Columns and Navigation Pane .
  • In the Columns Layout, the Current Folder Pane is the rightmost folder column, so that's the only place you can select folders or files.
  • You can refresh the item display by pressing F5, Ctrl+R, or select "Refresh everything" in the menu that pops up when you click the [image] button in the Drives Group . (but program should auto-refresh - see Troubleshooting below)
  • You can choose from a number of different File Views , allowing you to hide some columns, show others, change the order and widths of columns, how icons or thumbnails are displayed, which columns are hidden when the Browser isn't wide enough to show them all, and so on. You can create as many File Views as you wish using the File View Designer .

Folder Pane Toolbar

Sort files: Click to get a list of sorting options. This button duplicates the action of the Sorting Columns arrows (see below), but it's needed for the Grid View, which doesn't have any columns.
Change file view: Click to be presented with a variety of File Views . OneCommander remembers which File View Design you select for each folder. OneCommander comes with a variety of File Views, and you can edit any of them or add to the list using the File View Designer .
Creates new file/folder/note from template
Clipboard paste: The equivalent of Ctrl+V. If the Clipboard contains text, OneCommander creates a text file with the default name "<date> <time>.txt", if there is a bitmap on clipboard, a png file will be created (png because it is lossless, unlike jpg). If there is a path to a video on the web, it will prompt to download the video.

Main item display

The various properties of items are show in a series of columns which you can select using the File View Designer . In addition to the ones familiar to Windows, there's a column showing in "hot/cold" color-coded form the age of the item, i.e. the time that has elapsed since the item was last modified. You can adjust the colors in Settings > General . There's a more complete explanation of how the age display works there, under Item Properties: click the [image] button at top right of the pane.

Long file names

Long file names are often too long to be seen fully in the Name column. They can be seen in full:

  • In the Details Pane .
  • By pressing F7, which toggles the other columns on and off.

Sorting files

Either:

  • Click the [image] Sort files button

Or:

  • Each column has a pair of arrows at the top [image] which sort the items on display in each of two directions (e.g. A-Z or Z-A). Hover the cursor over the arrows to see what they do. The arrow in bold shows the current sort order.

OneCommander remembers the sort order for each folder, which is very handy because different folders may well have different sorting requirements. Further information about sorting:

  • For size, only files are sorted. Sorting files by size only works if the "Folders on Top" toggle (see below) is set so that folders are listed at the top. (See FAQ below)
  • If you prefer folders always to be sorted by name, go to Settings > View and check "Sort folders by name always". With this checked, only files are affected by the sort order selected by clicking a sort arrow.
  • You can change the default sort order for columns at Settings > View .
  • Folders on Top toggle: Press [image] to sort files and folders so that folders are either listed first, or listed with files in the order specified by the sort arrows for properties like file name, type, date etc. This setting is remembered for each folder. You can set the default for this behavior at Settings > View or set it on the root of the drive (learn how file view is inherited in File Views section)

  • FAQ:
  • Why is there no name/title of the column (ex: "Date")
  • A: some languages have really long words for name/type/date/size and it will be a visual clutter. You already know "1 MB" is a size so there is no need to show redundant information

  • Why can't I sort folders by size

A: Program can only sort but the actual properties that are stored on the disk. Folders don't have size property but OC calculates them manually

Metadata display

Some metadata is shown to the right of the file name if the Browser is wide enough. For example, for image files the size of the image in pixels is shown:

Another example: the metadata for document files shows the number of pages in the document (e.g. ; these files are on OneDrive, and the [image] icon shows that they are always on the local machine and synced with the server):

In the Thumbs+Details View (click the [image] button on the Folder Pane Toolbar — see above) the metadata is shown in the second line for each file:

You can get OneCommander to show text excerpts from a variety of file types specified in Settings > Preview :

Filtering folders and files

Start typing characters in the path name you are looking for:

  • The first key you press shows only items beginning with that letter
  • If you type two or more letters, all items in the Current Folder Pane containing that text will be shown
  • Displaying a particular file type: Begin typing with a period (.) For example, ".pdf" will display only .pdf files.
  • Cancel the filter by pressing Esc on your keyboard, or clicking the icon to the right of the filter:

To create a new folder, file, or note in the Folder Pane

Method 1: Click on (+) icon in the Folder Pane Toolbar:

Method 2: From context menu - Right-click on the header for the folder pane and select from the list (File, Folder, or Note) that appears.

Note/To Do

You can add as many Notes or ToDo items as you like to the files in the Current Folder Pane. Hit Alt+N or click [image] in the Folder Pane Toolbar menu, and a small editing window pops up. Up to four lines of text appear in the Name column, but the full text can be seen in the File Preview below:

Notes/ToDos can be edited by double-clicking on the Note/ToDo, and deleted in the same way as any other file. They are simple text files with the extension ".2do".
You can mark Notes/ToDos as completed by clicking in the Note/ToDo's checkbox: . This also changes the file extension to ".2dx".

Creating a background image for a Folder Pane

If OneCommander finds one of the following files in any folder:
cover.jpg, folder.jpg, front.jpg, background.jpg, poster.jpg
it will show that image as a background for that folder. An example might be an album cover image.

To enable/disable this feature, click "Show folder background image" in Settings > View .

Note: new versions show folder cover image only if the file is visible, for the performance reason. To enable old behavior edit OneCommanderV3.json and change this line to "True"

"SearchHiddenBackgroundImage": "False",

Troubleshooting

Files list not auto refreshing:

OC uses Windows native way of monitoring for file changes but in some places this won't work: on some simulated filesystems that mount a cloud or a ftp folder as new drive/folder, or encrypted file containers. (Raidrive is known to have issues).


Folder Columns and Navigation Pane

Full reference guide ››

Folder Columns and Navigation Pane

The folder tree is displayed as a series of columns. A single click on any folder in a column opens that folder in a new column to its right. Columns that behave like this are known as Miller columns, in which all of the columns that are part of the tree branches leading to the currently-open folder remain visible. This makes it easier to see where the currently-open folder sits in the folder tree structure, and to navigate to other branches in the tree.

OneCommander adds two features to standard Miller columns to make it easier to work with folder displays in which a lot of folder columns are visible (when you're working with a folder that is a long way from the drive root):

  • As each new folder is opened, the columns to its left shrinks to make room for the contents of the current folder to be easily read.
  • (Optional) As the cursor moves over folders to the left of the current folder (i.e. over its parent folders), the folders under the cursor expand while the cursor is over them so their contents can be seen. The responsiveness and speed of this expansion, as well as many other features of the column display, can be adjusted in Settings > Columns.

Not everyone likes columns to change width in this way. They can be turned off in Settings > Columns.

The Navigation Pane displays folders in columns :

Clicking [image] in top-right corner of the browser (or pressing ` [key under esc] on US ANSI keyboard) toggles between simple path "breadcrumbs" and "miller-columns" navigation. All parts of the path are expanded into mini browsers.

You can navigate to a folder in any of the columns, including the ones to the left of the Current Folder Column, using the:
Mouse: Click on the folder. A new column displaying the contents of that folder will appear to the right of the column you clicked in (replacing what was there before, if the column you clicked on wasn't the Current Folder Column).
Keyboard: You can move through the entire directory tree using just four cursor keys. You can:

  • move between panes, and between folders and files within panes, using a combination of Tab and Cursor Arrow keys (Shift+Tab to move in the opposite direction), and Enter to open folders (this doesn't move the keyboard focus to the folder within) or files;
  • use left/right arrows to move between folder columns. The right arrow also opens the folder from the Current Folder pane .

The easiest way of understanding how this works is to try it.

Files or folders selected using the keyboard are surrounded by a box of "marching ants":

This can be changed from Settings.

In the Columns Layout , the rightmost column is also the Current Folder Pane. Folders in this pane need to be double-clicked to open (although you can set it to open with a single-click in Settings > Other ).

The columns to the left of the Current Folder Column compress to fit available space allow you a good view of the Current Folder Column. If they're compressed too much to give a clear view of their contents, you can expand them by clicking expand button [image] for each at the bottom (in Columns layout) or by moving the mouse cursor over them (in Navigation pane of Standard layout). You can change many features of how this works in Settings > Columns, for example how quickly the columns respond to the mouse movements, how much they expand, and so on. Alternatively, if you don't like these animations, you can turn them off.

Navigating through the columns

  • Keyboard
  • Navigating through Parent Folder Columns: Left and Right cursor keys walk left and right through the path of parent folder columns.

  • Enter folder: Enter key or Right arrow (not in grid view)
  • Open Parent: Backspace or Left key (not in grid view), or Alt+Up to

Mouse

    • if cursor is in a parent folder column: click on folder
    • if cursor is in Current Folder Column in the Columns Layout : double-click on folder (similar as users are used to in Explorer where folder in sidebar tree is opened with single click, and double-click in main folder) (this setting can be changed to a single click at Settings > Other > Opening items .)

  • Move to parent of currently-selected folder: Click [image] (above file/folder name column) or just click title of another column

  • Add Folder or File to selection: Ctrl+Select (with mouse cursor) in the Parent Folder Column in Columns Layout adds that folder or file to the selection and makes that path current.

Path history

Moving back and foward through the history of a path: Click [image] (above file/folder name column), press Alt+Left***/Right cursor keys, or 4th/5th mouse buttons. Note that if a tab was created from a Favorite, there won't be any history for that tab to move back and forth within until you have actually moved back and forth along that path, so until you do this the Alt+Left/Right cursor keys or the 4th/5th mouse buttons won't do anything.

***Alt+Left will not work depending on window type selected. This will be fixed once window library is replaced with a custom one


File Views

Full reference guide ››

File Views

You can change the way that files and folders are displayed in the Folder Pane by changing the File View.

OneCommander has a number of built-in File Views, which you can modify and add to.

OneCommander saves the File View you have selected for each folder, and each child folder inherits the view from the parent, unless overridden by changing its own view:

The File Views are listed by clicking the [image] button in the Folder Pane Toolbar. The button pops up the following list:

The list previews different types of views

  • Default: the basic file view, showing for each item the name (with some metadata, such as the number of pages in a .docx file), "age" of the item (how long since it was last modified), date and time of last modification, attributes, and size.
  • Name Only: displays just file/folder names, with no other columns.
  • Powershell: Similar to Default, but with the columns in a different order (attributes, date, size, name) in a similar order as shown in PowerShell.
  • Thumbnail Grid: Displays thumbnails in a grid; change the size of the thumbnails by holding Ctrl and rotating the Mouse Wheel.
  • Thumbs+Details: The Thumbs+Details File View is optimized for folders containing image files. In Settings > View you can get OneCommander to automatically check folders for which you haven't already chosen a File View Design to see whether they might look better using the Thumbs+Details File View. You can override OneCommander's choice by selecting another File View.
  • Adaptive: Automatically adjusts listed item size to show relevant information. It will displays thumbnails and metadata for items that support that, excerpts from plain-text files, but folders and items which don't have additional useful information to show will just display as a single-line, not to take additional space. Note that scrolling may not be smooth in this view as items change size as they are loaded
  • Edit File Views: You can modify any of these File Views, or create custom Views, with the File View Designer .

Pro tip:

If you create your own custom view, you can set it in the root of the drive (ex: C:\) and all folders in that drive will have that view (unless you override them in individual folders, in which case all subfolders within that one will inherit that view.

Quick view change toolbar buttons

You can enable quick view change buttons that show above the file list

This shows in Names column header, so it will only display if there is enough space in it (resizing the entire view may force it to hide as some resize-points)

This feature can be enabled/disabled from Settings > General using the window editor:

and toggling this checkbox

FAQ

  • Change between views just with Ctrl+mouseWheel. Maybe in the future. Since views are user defined, there is another problem which view will be loaded in which order
  • Shortcuts to change views. Maybe in the future. Same problem as above, plus it may require an editor for this. Enable quickbuttons, it is still one-action to change view.

Advanced information

The database that stores file views per folder is in Settings folder (FolderView.db) so don't move it to different computers


Basic folder and file operations

Full reference guide ››

6. Basic folder and file operations

OneCommander allows all the basic folder and file operations that you would expect from a file manager:

  • Open folders or files by double-clicking on them (you can change this to a single click in Settings > Other) or pressing Enter. Ctrl+Enter for "Open with..." dialog.
  • Move/copy files using
    • Mouse: Drag and drop between browsers or to and from other Windows apps (to copy, hold Ctrl key down while dragging). Note that OneCommander drag and drop works a little differently from Windows File Explorer.
      • Dragging a file or folder in OneCommander will always move it. To copy, you must always hold the Ctrl key down.
      • If you prefer the Explorer's inconsistent way, you can change this in Settings.
      • OneCommander attaches a label to the file or folder being dragged to tell you whether it's being moved (red label) or copied (green label). Hold Alt to show the menu to chose the additional options.

    • Keyboard:
      • Cutting, copying, and pasting: Cut (Ctrl+X), Copy (Ctrl+C), and Paste (Ctrl+V) - same as everywhere else on Windows
      • Copying and moving between Browsers in dual-pane layouts: Move (Alt+M); Copy (Alt+C)
  • Access the full set of Windows context menu items by right-clicking on a folder or file.
  • Create new folders: click on the [image] button (or Ctrl+Shift+N) in the Folder Pane Toolbar:

  • Create a new file from a template: click on the [image] button and select a template, or press Ctrl+N to open template dialog; you can select from a number of popular file types to create a new file of that type in the current folder. You can create your own templates
  • Filtering list of folders or files: with the cursor in a folder column or folder pane, start typing the name of the folder or file; folders or files not containing the string of characters you've typed are filtered out, so it also is a quick way of searching for a folder or file in a long list. At the top of the column or pane OneCommander records what you've typed; cancel the filter by clicking the "X" or pressing the Esc key:

Pressing a single letter will show files starting with that letter (not containing that letter, since it wouldn't be useful), with 2 or more letters it will show all files containing that string of letters (not just start with those letters). This is only for current folder (not subfolders). For subfolders search, press F3 to search starting from current folders and through all subfolders.

Note that the Spacebar key can't be used for filtering, because it's used for previewing the selected item:

  • Preview a file by pressing Space.
  • You can edit the information columns in the by clicking on the [image] button in the Folder Pane Toolbar and selecting Edit File Views .


Path Edit Dropdown

Full reference guide ››

Path Editing

Click on the Path Edit Button at the top of the Drives Column to open the Path Edit dialog box:

Shortcut to path edit dropdown is Alt+D or backslash \

The path of the current folder is shown in the text box at the top. You can:

  • type a different path and press Enter to open that path in the current browser
  • copy it with Ctrl+C
  • Type a few characters to search through favorites or recent tabs listed below. The search results will be shown in the list below the editable path box, and selecting one will open it in the current browser.
  • Path edit box supports auto-complete, so if you type c:\w you will be able to use down arrow to select c:\Windows from list below

If there is a path on the clipboard, it will be also shown in the list below the editable path box.

Right-click on path box to have additional options for copying paths

\ Copy path with backslashes

"\ Copy path with backslashes but enclose in quotes

\\ Copy path with double-backslashes (if your destination program needs "Escaping" special characters)

/ Copy path with forward-slashes (most Windows programs won't accept path in this format)

"/ Copy path with forward-slashes but enclose path in quotes

\\?\ Long path copy - use this if your program doesn't want to open path longer than 260 characters, this is a workaround (which unfortunataly doesn't work for Word/Excel as Microsoft wants you to use just their cloud)

8.3 Short path format, ancient. Accepted by some old programs, doesn't work with removable drives (check Microsoft documentation on it if interested)

Default path copy format can be changed in Settings

Tip:

You can copy path to currently opened folder without opening path edit by pressing Ctrl+Shift+Alt+C


New File (Templates)

Full reference guide ››

Templates for creating files

OneCommander doesn't rely on system "new file" items but you can create any number of custom template without messing with system registry.

Templates are just files that will be cloned the next time you need them, making them more flexible and more powerful.

It allows you to have even multiple files of the same type, for example, you may like to have Templates for Word files with your organization's letterhead, css file with copyright information, several pre-filled pdf forms that you use often, invoices prepared...

Creating templates

Right-click a file

Create file template

This will copy the file into templates folder with all the content of that file!

If you often create files of a particular type — e.g. documents, spreadsheets, text files — you can create a Template for that file type.

A template can be any file - it can be a Word document with certain size and company logo, a code file with copyright information pre-set at the top, or similar

Using (cloning) templates

When you need to create a file of this type (with its content), navigate to the folder that will hold the file and ...

Method 1:

Click the + button on the toolbar, and select the file from the dropdown

Method 2:

Press Ctrl+N. This pops up your list of Templates:

Select the Template you need, fill in the File name, and then click either of the buttons at the bottom of the pop-up.

The new file is created in the current folder (and opened if you click "...and open").

Keyboard way

A quick shortcut way is

  • Ctrl+N
  • use down arrow key to select template
  • Tab (to jump into name field)
  • Type Name
  • Enter to confirm, OR Ctrl+Enter (to clone the file there and open it in default program for that file type)

Adding templates, editing existing templates

The Template files \Templates folder. The quickest way is to press Ctrl+N and click Edit templates button (see above screenshot),

or use + button on toolbar and click File Templates:

You can add as many Templates as you like, and edit the ones that are in that folder. For example, you may like to have Templates for Word files with your organization's letterhead, or spreadsheets for particular routine procedures.

===== Mild warning =====
The file that's created from the Template will have the properties of the Template file in the Templates folder, for example in Microsoft Word the default settings for font, styles etc. Make sure that the Template for that file type has all the default settings that you want, otherwise you'll have to change them to your individual preferences every time you create a new file.


Drives Column

Full reference guide ››

Drives Column

The Drives Column — the left-most column in the Navigation Pane — shows all drives current mapped by Windows.

Mapping network drive

Click on the three dots at the top right hand corner of the Drives Group, and select " Map network drive ".

Ejecting removable drives

Click on "Eject" below the drive name and drive details:

When there is space available, in the Columns Layout information about the current drive is shown to the left of the Drives Column, e.g.:


Tabs

Full reference guide ››

Tabs

The Browsers host tabs. Click on the [image] button to the right of the Browser Tabs to create a new tab (Ctrl+T), which will be a clone of the current tab (i.e. the tab that currently has the focus). Alternatively, you can also specify a particular path for all new tabs in Settings > Other. You can also create new tab from any other folder by clicking that folder with MMB (middle-mouse-button).
Close tab by clicking on the [image] button (or Ctrl+W) that appears when you move the cursor over the tab, or by clicking MMB . Once deleted, they can be restored with Ctrl+Shift+T.

These shortcuts are the same as for web browsers.

Tab Aliases

The Tab Alias is the name that appears on the Tab. By default it is the name of the Tab's Current Folder, but you can change this by selecting Change alias in the Tab's Context Menu. You can change this default behavior in Settings > Other , to show the full path for the Tab.

Creating Tabs

  • Click the [image] button to the right of the current set of Tabs to create a new tab at the end of the list (same behavior as in web browsers). The new Tab will be a clone of the Tab that currently has the focus, unless you change this behavior in Settings > Other . Alternatively, select the Tab to be duplicated and press shortcut Ctrl+T.
  • Right-click any folder and select Open in... You have the choice of opening that folder as a new Tab in the Current Browser, the other Browser, or a new Window.
  • Open any folder into a new tab by MMB . It works on any folder in a Folder Column or in the Sidebar .

Moving/copying Tabs between Browsers

Tab order can be changed by dragging them to reorder

Move tab to the other Browser by dragging or using Alt+MMB.

Copying a Tab to the other Browser by dragging that tab onto New Tab (+) button of the other browser.

...or: duplicate the Tab with Ctrl+T (or clicking on the [image] button), then move the new Tab to the other Browsers with Alt+MMB.

Tab can be also copied to other browser pane by using the context menu

Closing Tabs

  • The close [image] button at the right-hand side of the Tab appears only when mouse is over the tab to avoid clutter of large number of buttons in case of many tabs. The button becomes clickable after 1/2 second to prevent accidental closing when user quickly enters a tab and clicks it over the close button.
  • Tab can be closed with MMB or with shortcut Ctrl+W (both the same as in web browsers)
  • Tab cab be also closed from the context menu

The context menu also has additional options for closing the tab, closing all other tabs other than the right-clicked, or closing "stale tabs" (not changed or accessed in the past 24 hours)

Undo closing tabs with Ctrl+Shift+T (same as in web browsers)

Large numbers of tabs

When you have a large number of Tabs, they shrink to be narrow enough to accommodate all of them. This will typically make them too narrow for the label text to be readable, but their path will be displayed in a Tooltip:

When the cursor passes over narrow tabs, the Close Button [image] doesn't appear until you click on one of them. When you do, the tab expands a little so that you can see both the tab label and the [image] Button.

If you just need to close tab, click it with MMB

Locking tabs

Locking tabs is currently not supported. If you need folders that are always there, use favorites (as they are basically tabs that don't change location as you navigate away).

Other interactions

Drag&drop files into tabs to copy/move files into them

Create new window from a tab by dragging them outside of window

Tabs and Memory / Performance

The number of tabs doesn't affect memory or performance. The tabs are the same as Favorites, and they just hold the information about path, scroll position, selection, and history, so switching tabs unloads the files list and relists content of the folder that the selected files points to. This takes several milliseconds longer than if it was already loaded, but in this case it doesn't hold system memory hostage even if inactive tabs contain thousands of thumbnail images (Since OC is written in .NET, the Windows manages memory for it so you may not see memory being released the same second as you switch tab - instead, this happens on Windows' own schedule)


Preview

Full reference guide ››

Preview

  • OneCommander has both preview pane in main window and a preview window (spacebar).
  • For both, OC can use system thumbnail handlers, system image and video codecs, but only preview window can show Word/Excel previews (technology limitation). See Troubleshooting below on issues.

  • Preview Window
  • In addition to the small Preview Window in the Details Pane of the main window, certain file types can be previewed in a separate window by pressing Space bar, which pops up a larger window with a preview of the file in question.

  • Open/Close preview window: Space Bar

Close preview window: ESC

Preview previous/next file: Keyboard up/down arrow

  • Choosing viewer: You can choose between the viewer built into OneCommander, QuickLook (available from the Micosoft Store or Github, but must be manually installed) or Seer (commercial application, must be manually installed)
  • QuickLook/Seer can work with a greater range of file types. Choose the default viewer in Settings>Preview. The viewer selected there doesn't affect the preview in the main window.

  • Viewing modes (built-in preview window only): The Preview Window offers three viewing modes:
  • OneCommander will guess which one works best for the file in question, but if you disagree, click one of the other buttons to see if you're right.

  • Viewing multiple files in a folder: Once you're viewing a file in the Preview Window, cursor up/down moves to the previous/next file in the folder.
  • Showing GPS coordinates: If the file shown in the Preview has embedded GPS coordinates, a GPS button is shown. Clicking the button opens either Google or Bing Maps showing the location.
  • The Microsoft Store version of OneCommander is not able to show previews of Microsoft Word or Excel files; it will, however, show an image preview if there is one embedded in the file. This limitation is imposed by Windows, which does not allow the necessary office components to run in Store apps.

Video Control

OC uses system codecs for video previews (MediaElement from MediaPlayer). If video preview is not working for you, see Troubleshooting below.

Left/right arrows can be used to jump either certain number of seconds, or percentage of total length. In 2nd case, you can review the entire video pressing right-arrow 7 times (jumping 1/8 of video) regardless of the video length. This can be adjusted in Settings

Frame-by-Frame analysis - use [ and ] to step a single frame backwards or forwards. This depends on the video codec and it is not possible to do on some videos (or may take long time to seek frames)

Zoom - video can be zoomed using mouse-wheel (zoom toward mouse-cursor)

  • Autoplay audio/video files: You can choose to autoplay video/audio files or not in the Preview Window (not in main window) from Settings>Preview.

The supported file types depend on the video container and the codec. OC can use system codecs which also work for Windows Media Player (other video players like VLC don't have influence over this). If you have installed some special codec for a file extension that is not recognized by the player, add the extension into Video extensions list from Settings>Advanced

Troubleshooting:

Video can't be previewed:

Since this uses the MediaElement component that depends on MediaPlayer, if preview doesn't play video files at all, reinstall Photos app and MediaPlayer. You may also have some 3rd party "codec pack" that replaced some system components which broke default system player functionality. There were no reports of which "codec pack" breaks that function, but if you find out, please contact support so it could be added here as culprit.

Image can't be previewed:

OC also uses system codecs for image previews, and if not working, you may want to try reinstalling Microsoft Photos (even if you are not using it).

Open Windows PowerShell as Admin (right-click start button and select "Windows Powershell (Admin)")

Copy/paste this command

Get-AppxPackage Microsoft.Windows.Photos | Remove-AppxPackage

Install the latest version by opening Microsoft Store and searching for "Microsoft Photos"; click Get

Restart computer

Word/Excel previews

Only possible in Preview Window and not in main window preview. This is technology limitation of Office preview component. Some day a 3rd party preview system may be integrated in OC to allow previewing of Office files


Themes

Full reference guide ››

Customizing OneCommander's appearance

There is a lot you can do to OneCommander's appearance using its various Settings in particular by choosing a different Theme, Font, Default folder icon, File icons pack, Scrollbar style and much more.

But there's even more you can do if you don't mind exploring further under OneCommander's hood. It is possible to create custom themes, create custom icons packs, and similar.

You can reach this folder quickly by clicking on the About Program and then the Settings Location button at the bottom of the dialog. You can create a new theme by adding a new folder here and creating the Theme material that you want.

Themes

A theme defines overall look of the UI elements. This includes colors, borders, margins and and similar properties of UI elements. OneCommander comes with a number of built-in Themes, which can be found at Settings > Theme. There are the usual light and dark themes, as well as some alternatives.

Theme can be selected independently from the main Windows theme, or you can select for OC to monitor for Windows theme changes and load either light or dark theme (by selecting Use system theme)

See Creating themes

You can vary the icons in use by choosing various options available in Settings > Theme.

Health and Safety Warnings:

  • Always make a copy of a theme before you edit it, and work with the copy, not the original. When OneCommander is updated, it will overwrite any changes in the built-in themes.

Creating new Theme

Easy: make a copy of one of the Themes folders, and work with that.

Accent Color

You can change the color that files take when the mouse passes over them or they are selected in Settings > Theme.

  • Depending on the theme, an Accent color will be used on certain elements, such as Columns Pane border or Tabs border.
  • In some themes, the Accent Color is part of the theme itself and changing it is disabled (for example in Nord or Nortorn themes).


Details Pane

Full reference guide ››

Details Pane

This pane has two sub-panes:

  • File/Folder Preview
  • Shows a preview of the file, if a codec is available for that file type, and if not, an icon related to the file type.

    • Image previews can be zoomed with the mouse wheel (it zooms-to the position of the cursor) and panned around with click-and-drag.
    • Image interpolation can be adjusted in settings.
    • If a photo is previewed and it contains a GPS data, a Locate button [image] will appear that leads to Bing Maps (or Google Maps, controllable in Settings [PRO]) showing on the map where the photo was taken.

Video preview. Shows a built-in player. The supported file types depend on the video container and the codec.

Troubleshooting: This uses the MediaElement component that depends on MediaPlayer, so if preview doesn't play files, reinstall Photos app and MediaPlayer

    • Text preview shows plain text files. It can be scrolled with the mouse wheel or cursor keys. Text can be selected, and copied, but not edited (maybe in the future)

    • PDF preview. Use left/right cursor keys to move between pages (up/down is still reserved for moving between files in the list, keeping it consistent). When cursor it in the preview pane, a toggle will appear [image] that allows to control if page will fit in pane fully or fit to page width.

    • You can also preview files in a separate window using the Spacebar key.
  • File/Folder Properties: Details about the file or folder. For a file, a toolbar is offered:

The toolbar in the Properties sub-pane allows the following:
Cut (move to Windows Clipboard)
Copy to Windows Clipboard
Rename (F2)
Delete (Del)

Note that Classic layout (mimicking Explorer layout) doesn't offer these buttons. This might be customizable in the future.

A draggable divider separating the preview and details pane will appear if you hover the cursor between them. This lets you change the amount of space each takes.


Drag&Drop

Full reference guide ››

Drag&Drop

Copying/moving by Drag and Drop

Files can be dropped to copy/move into any folder in other folder panes, into favorites, or into breadcrumbs (path sections), or into tabs.

Dropping a folder into a sidebar favorites folder copies/moves that folder into the dropped folder, and not doesn't create a folder out of it. See Favorites section for more information.

The standard approach to dragging and dropping items used by Windows Explorer is a bit confusing: it behaves differently depending on whether you are dragging and dropping within or between drives. OneCommander's default method is slightly different but has the virtue of consistency:

  • Drag always Moves
  • Drag holding Ctrl key: Copy
  • Drag holding Alt: Gives additional options

* regardless if source and destination disks are same or different

Explorer's inconsistent way:

Drag moves if the destination is on the same drive, otherwise it copies files; and if it is the same drive you need to Ctrl+Drag to copy, but if it is a different drive you need to Shift+Drag to move files.

if you prefer this way, you can switch to it in Settings > Other > Drag and Drop behavior

Drag with right-mouse button

Not supported. The drag with Alt key is the alternative to it that shows custom menu options, but there are no plans to add drag with right-mouse button like Explorer as that leads to accidental drags when user only tries to open context menu but moves the mouse slightly

Troubleshooting drop INTO OneCommander

  • Getting ⊘ when trying to drop into OneCommander

This will happen if you run OC elevated (started with "Run as Administrator"). Windows doesn't allow other programs to drop into "elevated" programs; it is a system limitation. Make sure you don't start OC as Admin

  • Attachment from Gmail

OneCommander doesn't have access to the data in Gmail or other non-public websites running in your browser, so the dragged attachment is an invalid link without its security token so is not something OC can accept and use to and download the file.

Troubleshooting drag FROM OneCommander

  • Can't drag to program _____.

If the other program is running elevated (Ran as Admin) it won't be possible to drag into it. That is Windows limitation and there is no workaround for that

Some other programs may not accept file-drop because they don't implement the actual "FileDrop" but expect some virtual file - there is no support for that (blame them for not adding 2 lines of code to support FileDrop)

  • Can't drag into Adobe Acrobat's page list

This is known issue but it is up to Adobe to fix the issue to allow FileDrop, so programs other than Explorer can do it.

There is a UserVoice on Acrobat already on that so please vote for it

https://acrobat.uservoice.com/forums/590923-acrobat-for-windows-and-mac/suggestions/46250485-filedrop-support-for-drag-drop

An alternative is just selecting multiple pdf files and using Combine files option from context menu:


Searching files/folders

Full reference guide ››

Searching files

Files/Folders can be searched by pressing F3, Ctrl+F, or the [image] button in the Main Toolbar.

First option is to search starting from the folder where search button was pressed, and second option is root of that drive (see screenshot)

The search is recursive; i.e. it searches the Current Folder and all of its sub-folders.
The normal Windows wildcard characters (?, *) can be used. So, for example:

  • "*.*" finds all files
  • "*.docx" finds all ".docx" files
  • "filename?.txt" finds, for example, filename1.txt and filename2.txt

Click

in front of any found items to locate the file in the Main Window

Clicking Tag tab lets you see all files that have been tagged with a certain color

Fuzzy search is not implemented; currently no plans.

Future

Instant search with additional options like searching for date ranges is planned but there is no timeline set for it yet


Archives

Full reference guide ››

Archives (Zip, Rar...)

OC supports compressing/uncompressing (extracting) files to/from common archive file types through built-in (referenced) open source 7zip library.

You can check their licensing terms in the \Licenses\ folder.

It is still recommended to install 7zip standalone (64-bit) that integrates in the context menu. Managing archives through a separate program is faster because it is managed as a separate process (independent from OC) that can properly use computer processor threads just for compressing/extracting process.

OC doesn't support browsing the contents within the archives. The program can only navigate actual filesystems.

File compression started as a way to just allow fitting large files into small mediums like floppy disks, but their largest utility is archiving all parts of the project for easier and faster moving, and are not intended to be used as interactive containers pulling the individual files out (opening a file from a packed archive requires extracting it to a temporary location, so it is not suitable for sensitive files)

For that purpose I suggest using file containers instead of archives using VeraCrypt or Cryptomator (With installing Dokan 1.5 (not 2!) for auto-refreshing contents of the mounted drive) which offer ability to create encyrypted file containers that act like a single-file archive, but they can be mounted as a new drive letter (not read-only like .iso), so they can be browsed like any other drive, copy/move/open/rename/delete files through standard file operations, and don't use temporary file locations when opening files from within, making them suitable even for sensitive files.


Phone storage

Full reference guide ››

Phones connected through USB cable use an obsolete MTP protocol which is not implemented in OneCommander (no documentation and severely limited protocol that can cause data loss).

In ~November 2024 Microsoft updated Phone Link app to allow wireless access to your Android phone files (not sure if iPhones have a similar app)

There's a bunch of youtube videos on this https://youtu.be/7jdcTOrk_Ro?t=77

Quick overview of steps:

On phone install Link to Windows (Microsoft's app) - version 1.2471 or newer

On PC: open Microsoft Store, Library (icon bottom left), Click Get updates (Cross device experience host has to update and Phone Link app)

Open Windows Settings and find Mobile devices

Check Allow this PC to access you mobile devices

Click Manage Devices Add device

Check Show mobile device in File Explorer

Check that your phone shows up in Windows File Explorer (through WiFi - don't connect the cable)

If it does: restart OC (close it fully with Ctrl+Close) and on next start it will show in favorites group with your name

You can also navigate to C:\Users\YOURNAME\CrossDevice and you will see your phone. You can add it to sidebar favorites for quick access.

This is completely managed by Windows. It looks like Windows synchronizes the content between phone and PC in a similar way as OneDrive, so it will show up even if phone is not Online. For any issues with phone synchronization, complain to Microsoft

Access through FTP (complicated)

If for any reason you can't use PhoneLink, there is a way to access phone through FTP, but it requires installing a few things https://groups.google.com/g/onecommander/c/igMVqW-b0Qo/m/1dqwVTY8DgAJ


Context Menu extensions

Full reference guide ››

Always install x64 (64-bit) version of extensions because OC is 64-bit application and can interact only with 64-bit shell context menu extensions


Clipboard

Full reference guide ››

Using the Windows Clipboard

OneCommander uses Windows Clipboard the same way as other Windows programs with a few additional features

Copy path of selected file to Clipboard

Ctrl+Shift+C

Copy path of enclosed folder to Clipboard

Ctrl+Shift+Alt+C

  • Clipboard contains a new path:
  • Press Ctrl+Shift+Alt+T to open this path in a new Tab in the current Browser.

  • Clipboard contains text or a bitmap image:
  • Press Ctrl+V to create a new .txt or .png file containing the text or bitmap, in the Current Folder.
  • The file name shows the date and time of the file creation (e.g. "2024-04-01 10-56-00.txt")

  • Clipboard contains link to an online file or website:
  • Press Ctrl+V to have the option to create link as text file, an URL file (double-click to open web browser), or download as an actual file (makes sense only for actual files, not websites).
  • This works ONLY for public content, and cannot work for links to Gmail attachments (OC doesn't have access to web authenticated sessions)

  • The Clipboard contains link to video (***Tube):
  • Press Ctrl+V to download the video into current folder (yt-dlp party utility has to be installed)

Pro users can customize scripts for downloading video and audio files from Settings>Advanced

The rest are the same:

Copy file to clipboard

Ctrl+C (as in Windows Explorer)

Cut file to clipboard

Ctrl+X (as in Windows Explorer)

Paste file from clipboard

Ctrl+V (as in Windows Explorer)

These last 3 are using Windows Shell for operations.

Troubleshooting

Copy or paste doesn't work?

Since Clipboard on Windows is shared, some programs don't play nicely and hold the Clipboard hostage so that other programs can't use it.

If you press Ctrl+Shift+C (copy path to clipboard), OC will try to put path on clipboard several times, and if some program has hijacked the Clipboard, OC will show the name of the program in the notification area. Parsec and some screen capture tools are the usual culprits.

Win+V doesn't work in rename dialog

There is no workaround for that because of the way Win+V works, which is improvised by Microsoft (simulating clicking and pressing shortcuts instead of using WIndows Automation or any sophisticated system). Microsoft would have to implement this properly to make it function in OC.


Download any website video as a file

Full reference guide ›› Clipboard ››

Download any website video as a file

OC can be used to paste website link and get a video file downloaded , but for that yt-dlp has to be installed

Disclaimer: Use of these third-party programs and scripts is at the user's own risk and discretion!

Using it is subject to terms of these third-party programs.

1. Open page:

https://github.com/yt-dlp/yt-dlp/releases

2. Click yt-dlp.exe to initiate download

3. Depending on OneCommander install:

3a. If you are using Portable version of OneCommander, copy it in the program folder (same location as OneCommander.exe)

3b. If you are using MSI installed version of OneCommander, you can either copy it also to C:\Program Files\OneCommander (admin permissions required) or go to the step 3c

3c. If you have Microsoft Store version or don't want to copy it to OneCommander folder:

3c1. Create a folder C:\Apps\yt-dlp and copy it there (NOT Program Files)

3c2. Press Start button, type "Environment" and select "Edit the system environment variables" then click "Environment variables"

3c3. If you have admin permissions doubleclick "Path" in bottom list, otherwise doubleclick "Path" in top list

3c5. Click button New and type C:\Apps\yt-dlp (the above path where you copied yt-dlp.exe); OK; OK; OK

4. Restart OneCommander (Close by holding Ctrl while clicking window close button, then start again). It is important to fully close it because environment variables are updated only on cold start.

Using: How to download videos into specific folder:

1. Open a page of a video in your favorite web browser.

2. Copy URL (address) of the video

3. In OneCommander navigate to a path where you want video downloaded as mp4 file

4. Ctrl+V to paste initiating download

5. Command line window will open and the rest is up to yt-dlp to complete. Check for any errors

You will get video, description text file, and video transcript as text files saved in the folder where you pasted it.

If you don't want the additional files, or want to use different parameters and quality settings, you can find the available parameters on the github page of the above yt-dlp repository and then edit the script execution parameters in OneCommander>Settings>Advanced (Users with Pro license can edit those)


About

About Program

The About Program dialog is reached from the [image] button on the Main Toolbar:

The buttons across the bottom do the following:

  • Email: Puts the email address of OneCommander's Support Service in the Windows Clipboard.
  • Website: OneCommander's website.
  • Forum: The Google Group where you can seek help from and enter into discussions with other OneCommander users and the developer.
  • EXE Location: Opens the folder (in system default File Manager) containing OneCommander.exe, the main program executable.
  • Settings Location: Opens the folder (in system default File Manager) containing the Settings folders for OneCommander.
  • Social Media: links to OneCommander on each of the available social media websites


Shortcut keys

Shortcut Keys

Notes:

  • Shift+Key (or Ctrl+Key or Op +Key) means press Alt (or Ctrl or Alt) and the specified key simultaneously.
  • Key1, Key2 means press Key1 (which could be a combination, e.g. Shift+Key)DeletNew, release it, and then press Key2.
  • LMB: Left Mouse Button
  • MMB: Middle Mouse Button
  • RMB: Right Mouse Button
  • Left/Right/Up/Down: Cursor keys

Group | Action | Shortcut | Comment
Program operations | Restart, running as Administrator | Ctrl+Shift+F12 |
 | Close program | Ctrl+WindowClose |
File opening | Open File/Folder | Enter |
 | Open With | Ctrl+Enter |
 | Run .exe as Administrator | Ctrl+Enter | For .exe and link to .exe
 | Run .exe with parameters | Ctrl+Shift+Enter | For .exe and link to .exe
Columns navigation | Toggle Columns on/off in Standard Layout | ` |
 | Open Parent Folder | Backspace or Alt+Up |
 | Open previous Path | Alt+Left or 4th Mouse Button | Path history is saved for each Tab
 | Open next Path | Alt+Right or 5th Mouse Button |
 | Edit Path | \ or Alt+D or Ctrl+L |
 | Copy current Folder Path to Clipboard | Ctrl+Shift+C | If no File is selected
 |  | \, Ctrl+C | \ to edit Path and then regular copy
 | Context Menu | RMB or Menu Key or Shift+F10 | Menu Key is between right Windows and Ctrl keys on ANSI keyboards
 | Context Menu with additional options | Shift+RMB |
File operations | Rename | F2 |
 | Copy file to other Browser | Alt+C |
 | Move file to other Browser | Alt+M |
 | Duplicate single file | Ctrl+D | Single file only
 | Duplicate one or many files | Ctrl+C, Ctrl+V |
 | Delete file | Del |
 | Delete file without sending it to Recycle Bin | Shift+Del | Not available yet
 | Delete permanently (unrecoverable) | Ctrl+Shift+Delete | Not available yet
 | File information/properties | Ctrl+I or Alt+Enter |
 | Tag files (color) | Ctrl+Alt+T |
 | View long file names (toggle) | F7 |
New | New File | Ctrl+N |
 | New File containing Clipboard contents | Ctrl+V | .txt if Clipboard contains text, .png if it contains bitmap image
 | New Folder | Ctrl+Shift+N |
 | ... create and open | Ctrl+Enter | from New Folder popup
 | ... create and move selected files inside | Shift+Enter | from New Folder popup; files need to be selected first
 | New Note | Alt+N |
Tabs | New Tab (duplicate of Current Tab) | Ctrl+T |
 | New Tab from path in Clipboard | Ctrl+Shift+T |
 | Open Folder in new Tab | MMB |
 | Close Tab | Ctrl+W or MMB |
 | Next Tab | Ctrl+Tab |
 | Previous Tab | Ctrl+Shift+Tab |
 | Move Tab to other Browser Pane | Alt+MMB |
Browsers | Change focus between Browsers | Alt+F |
 | Copy file or folder to other Browser | Alt+C |
 | Move file or folder to other Browser | Alt+M |
Clipboard | Copy Files | Ctrl+C |
 | Cut Files | Ctrl+X |
 | Paste Files | Ctrl+V |
 | Copy Files as Paths | Ctrl+Shift+C |
 | Copy Files to other Browser Pane | Alt+C |
 | Move Files to other Browser Pane | Alt+M |
Preview | Preview File | Space |
 | Close Preview | Esc |
 | Preview previous/next File | Up/Down |
 | PDF Preview previous/next page | Left/Right |
 | Image zoom around cursor | Mouse Wheel |
Selection | Select all | Ctrl+A |
 | Select additional Files | Ctrl+LMB or Ctrl+Space |
 | Select range | Shift+LMB |
 | Window selection | MMB+Drag |
Window | Call OneCommander (system shortcut) | Win+Alt+O | Works from any program
 | Call OneCommander and dock to bottom of screen | Ctrl+` | Works from any program but only if activated in Settings > Window; first time it's used, restores Window to previous location; repeat to hide
 | Center on main display | Shift+F1 | Useful for locating the Window if it's lost when monitor is detached
 | Minimize or restore from Maximized | Win+Down |
 | Maximize or restore from Minimized | Win+Up |
Other | Show Notification Pane | ~ (Shift+`) |
 | Reload/Refresh Columns | F5 or Ctrl+R |
 | Show/hide hidden files and folders | Ctrl+H |
 | Toggle columns resizing/not resizing in Columns Layout | F8 |
 | Reload Theme | Ctrl+Shift+F5 |
 | Search | F3 or Ctrl+F |
 | Quick Filter | A-Z, 0-9 |
 | Clear Quick Filter | Esc |
 | Open Terminal (CMD/Powershell) in Current Folder | F10 |
 | Open Terminal (CMD/Powershell) as Administrator | Ctrl+F10 |


Settings

9. Settings

Settings can be changed using the cog button in the bottom-left of the window.

For many users, OneCommander will do everything they want right out-of-the-box. The defaults are changed (for new users) depending on what which options most users prefer, and what developer considers to be the better way (disagreement with Microsoft's bad decisions). But there are many features that can be changed to give users' power to make it their own, or even change some settings if you prefer the Microsoft's way of the 1990.

Advanced

  • Settings are saved as simple json files. Those shouldn't be edited manually due to potential of corruption. Knowing about them is useful if you'd like to be able to backup these settings.
  • Settings location depends on installation type (MSI/Portable/Store version).
  • Find the settings location by opening Settings window and clicking Settings location button

If you are ever instructed by the support to change those settings manually, you must close OC completely (hold Ctrl while clicking window close button) as the settings file can only be modified when program is not running (or program will overwrite your changes).

Backup settings manually before modifying the settings file in text editor (not recommended).

Each time settings file is saved from program a backup is created as OneCommanderV3Backup.json. In case of settings corruption, this version will be automatically restored.

OneCommanderV3Previous.json is created after closing the Settings dialog.

Settings are stored as machine-specific settings (tied to computer name) and part as roaming settings (options that are relevant even if you backup and move settings to a different machine). For example, saved screen location of a preview window is only relevant for a particular machine.

This also means that if you change your computer name, machine-specific settings will not be relevant anymore and changing the settings manually may be required.

Settings file should not be on a cloud synchronized folder as during the sync process the file may be locked and OC may be denied access leading to crash or corrupted setting.

Planned changes

Search function for settings dialog is planned but this will be a huge effort so it will not be completed anytime soon

Some options will be consolidated or even removed in the future (especially if it is in the Advanced/Experimental section). Only few additional options will be considered - all new options create additional development cost and even bigger maintenance cost (which is why most other programs just don't give users many options to choose from). Options also affect program performance as the program must check what user's preference is each time a function is used.


General

Settings ››

General

UI Properties

Enable UI Animations (Globally): Sets the speed of animations that do not have their own individual setting (for example, Settings > Columns > Creat New Columns).

Item Properties

Settings that affect the way that information about paths is displayed.
Font size and padding (spacing, in pixels) between lines:

Color File Age: changes the way that the "age" of the file — how much time has elapsed since it was last modified — is displayed. For further information, click


Other

Settings ››

Other

This group contains a miscellany of useful settings, most of which are self-explanatory. They affect:

  • On start: Tabs shown when OneCommander starts up. The path can be an absolute path you'd like opened when a new window opens (e.g. D:\myFolder) or it can be a Windows environmental variable enclosed in % (e.g. %USERPROFILE%). "%USERPROFILE%" is a shorthand version of "C:\Users\<your account name>". So, for example, if you put "%USERPROFILE%\Documents" in the lower "On start:" box, when you start OneCommander it opens a tab for your Documents folder (and, by implication, forgets the tabs that were open in your previous session).
  • Creating a tab should: What a new tab shows when it's created. So, using the example in the previous bullet point, if you set this to "%USERPROFILE%\Documents", every new tab you create by clicking [image] at the end of the row of tabs opens your Documents folder.
  • New tab should be placed: Where the new tab should be placed in relation to the current tab — immediately after the current tab, or at the right-hand end of the tabs.
  • Tabs and favorites should show: Whether tabs and favorites should show the full path name or just the name of the folder. You can also change the "alias" — i.e. the name of favorites or tabs — by right-clicking and selecting "Change alias".
  • Opening items: Whether you use single- or double-clicks to open items.
  • Double-click on an archive should: What happens when you double-click on an archive file, for example a .zip file.
  • Drag and Drop behavior: Windows has a particularly confusing way of handling dragging and dropping . OneCommander always moves a path if it's being dragged, and always copies it with Ctrl+Drag. But if you prefer the Windows way of doing things, choose it here.
  • Rename items by clicking again without moving cursor: The precise way of describing a slow double click, for renaming items.


Preview

Settings ››

Preview

The settings at the top of this tab refer to the Preview Window opened when you select a file and press Space:

  • Choosing the Previewer you wish to use
  • Choosing whether or not to autoplay video/audo
  • Selecting the map to use when you press a photo location button

Metadata: This is the selection of files for which a text excerpt will be shown in the metadata line (the second line) in the Thumbs+Details File view .
Thumbnails: A list of file extensions for which you do not want to show thumbnails.


Columns

Settings ››

Columns

These settings apply to Folder Columns .

Create new columns without animating: When it's off and you click on a folder in the Current Folder Column, the new column slides in from the right instead of appearing instantaneously. The sliding speed is determined by the global animation duration .
Column Pane alignment: Sets the alignment of folders in the Folder Panes individually for Standard and Columns layouts. You may not notice the effect of this setting unless the columns are reasonably wide.

Interaction

This refers to the interaction between cursor and columns. OneCommander's default is to make Folder Columns expand when the cursor enters them and contract when it leaves. Some users like this because it makes it easier to view columns when a great many are displayed (i.e. when the Current Folder is a long way from the drive root); others don't.
Expand Column when cursor enters it: For each Layout, turns on this behavior.

Advanced Settings

Don't be put off by the "Advanced" label; it simply indicates that these are settings that many users won't be interested in using. They adjust things like how quickly columns expand when the cursor enters them (both in milliseconds), how long the expansion takes, what width of column OneCommander should apply the expansion to, and a number of settings for column widths, and they're self-explanatory. They're worth experimenting with: you may find that they improve OneCommander's usability considerably. For example, shortening Expand delay and Expand duration (say, to 400 ms each) makes the column expansion and contraction much more responsive. If the delays are too short, the columns will expand when the cursor is moving quickly over them, which could get annoying.
If you come up with a mixture of settings that you really like, please, as the note says at the bottom of the tab, share your findings with support@onecommander.com


Theme

Settings ››

Theme

OneCommander comes with a number of pre-installed Themes, comprising a combination of color combinations and icon packs. See here for more. Settings for themes are as follows:

Accent Color

How the color of items is changed by different mouse actions. Depending on the theme an Accent color will be used on certain elements, such as Columns Pane border, tabs borders. In some themes the Accent Color is part of the theme itself and changing it is disabled (for example in Nord or Nortorn themes

Other

Use thin scrollbar: this refers to all OneCommander's scrollbars. If it is not selected, OneCommander uses the default (thicker) Windows one.


View

Settings ››

View

These settings affect the way paths are displayed in the Folder Pane.

Visibility

Show hidden files and folders: This needs to be checked (or turned on with Ctrl+H) in order to see a number of special folders, e.g. C:\Users\<user name>\AppData
Show system files and folders: Turn this off to avoid accidentally moving or deleting critical system files.
Hide temporary files: Hides temporary files that can contribute to the clutter of large folders.

Sorting

Sets the sorting defaults for folders that you haven't already changed the sort order for. Once you do change the sort order for a particular folder, OneCommander remembers that sort order, overriding the defaults.
Keep folders on top: You may prefer to have folders always listed above files ("folders on top"), and this sets the default for doing so. It can be overridden using the [image] button above the list of files, which toggles "folders on top" on and off.
Sort folders by name always: This ensures that the sort order of folders is unaffected by any changes you make to the sort order using any of the other columns.

Other

Auto-switch to Thumbs+Details view: The Thumbs+Details File View is optimized for folders containing image files. This setting checks folders for which you haven't already chosen a File View Design to see whether they might look better using the Thumbs+Details File View. You can override OneCommander's choice by selecting another File View Design using the [image] button in the Folder Pane Toolbar .
Scrolling behavior:

  • Pixel: This mode supports high-resolution touchpads (you may need to set "Use high resolution scrolling" in Settings > Advanced ").
  • Item: Scrolling the file display moves the list by full item height, and snaps to the next full item. It scrolls by the number of lines set in the Windows System mouse settings. This means that if the cursor is hovering over a file while you're scrolling, it steps so that it will always be over a file whenever you stop scrolling. It's better for slower machines or for accessibility reasons.

Show folder background image: Set this if you'd like to have background images for folders.


Window

Settings ››

Window

Keep running in background: When you first run OneCommander and close the Main Window, you're asked whether you want to leave OneCommander running in the background. This setting allows you to change your mind about what you want OneCommander to do under these circumstances.
Pressing Win+Alt+E from any program: If you're using Windows Virtual Desktops , you can choose whether Win+Alt+O (but not Ctrl+`) brings OneCommander to your current desktop, or changes Virtual Desktops to the one on which a OneCommander Main Window is currently open. If no Main Window is currently open, then whichever setting you choose, Win+Alt+E opens a OneCommander window in your current Virtual Desktop.
Use global hotkey Ctrl+' to show docked program window: Brings the window to the current screen, makes it full-width and at the bottom half of the screen. Pressing it a second time minimizes the window. Changing this setting requires a program restart.
This simply makes Ctrl+` do the same thing as Win+Alt+E, although it may conflict with other programs such as VS Code.
If program has windows open, double-clicking its shortcut should: The shortcut referred to here is the one you double-click on to start the program, which may for example be in the Windows Start menu.
Show drives in sidebar: Shows or hides the Drives Group, giving you more space for Favorites Groups in the Sidebar.
Create default sidebar folders: This is your rescue button if you deleted the Default Favorites Group and subsequently wished you hadn't.
Import Settings from V2: If you have OneCommander Version 2 on your computer and want to reuse its Favorites for Version 3, click here. No other settings can be imported from V2 because they're not compatible with V3, so you need to start afresh with your settings in V3.

Other

Command shell: Allows you to choose the Terminal that is opened by F10 (or Ctrl+F10 to open as Administrator).


Advanced

Settings ››

Advanced

These settings really are intended to be used only if you have to; most users will never go near them. They are explained in detail in the tab, and they cover:

  • Rendering: how the OneCommander window is rendered (i.e. drawn)
  • Watcher issues: this refers to the way that OneCommander watches for changes in files and folders, so that the file and folder display is kept up to date. You can edit the list of files that are excluded from watching, or track down what might be causing the problem if you encounter a "Something is spamming your filesystem with file changes errors" condition.
  • Check and notify when there is text on clipboard: Stops OneCommander notifying you when you return to OneCommander and there's text in the clipboard.
  • How OneCommander deals with reparse points: If you don't know what these are, then you don't need to worry about this setting.
  • Check and notify when there is text on clipboard: This refers to the notification that appears when you return to OneCommander and there is text in the clipboard .
  • Fix Stylus lag: May help if you are experience lags in response to stylus operations.
  • Use old Drag & Drop system: Turn on if some other programs don't accept drop operations from OneCommander (in other words, they stop accepting files that you are attempting to drop in them).
  • Use high-resolution scrolling: This setting allows smooth scrolling for high-resolution touchpads.
  • Register as a default file manager: This completely replaces Windows File Manager on your system. It's currently experimental; only use it if you're comfortable with making changes to the Windows Registry (which you may need to do if something goes wrong).
  • Register Win+E hotkey: This changes the action of Win+E so that it opens OneCommander if it's running in the background, or starts OneCommander if it's shut down. It doesn't replace Windows File Explorer, although because of a shortcoming in the way that Windows receives the message, if you click on the Windows File Manager icon in the Windows Taskbar it launches OneCommander. Windows File Explorer is still available when it's launched in other ways (e.g. from the Start menu or by double-clicking on a folder on the Windows desktop).


Advanced users

Copyright © 2025 by Milos Paripovic. All Rights Reserved.


Creating themes

Advanced users ››

Creating themes

OneCommander is built with WPF which uses XAML for defining the UI. Themes are the actual .xaml files that program uses, so any property that is supported in WPF XAML can be also used to change the appearance of elements that have public XAML keys.

To create a theme, some basic knowledge of xml syntax is required and hex color system. Advanced editing is possible with knowledge of WPF xaml syntax.

For advanced properties editing it is best to consult Microsoft Documentation on WPF XAML but for the basic color editing the hex colors understanding is the only knowledge necessary.

Themes are located in Themes folder and the easiest way to find it is by opening Settings>Themes and locating a folder button

Note that this folder is not the Themes folder in Program Files, but each user gets their own Settings folder with Themes and other user-specific settings


Memory management

Advanced users ››

Memory management in OneCommander

OneCommander is made in Microsoft's .NET framework, which manages memory for OneCommander. Windows may let a program's memory footprint grow while the program is used but when Windows needs memory again, it will compact the program memory and reclaim unused resources.

OneCommander caches icons so they are loaded faster the next time they are needed in the program session. All displayed file properties are also cached while they are in the list, so scrolling through large folders will use more memory, but the memory will be released once the user opens another folder (at Windows' own schedule).

If you are making custom icons for files/folders/menu items, make sure they are reasonable size (64x64px or 16 multiplied by your display scale factor), as those will be loaded into memory the first time they are used and remain there even if they are not on-screen)

Each thumbnail in the file list and displayed preview will take a chunk of memory. For example, a previewed 10-Megapixel photo will take 10x3 Megabytes (3 as number of color channels), even if the image is a compressed jpeg because it has to be decoded to display.

Tabs don’t take additional memory in OneCommander.

If you choose to keep the program running in the background on close (see the option in Settings > Window ) all windows, file properties, previews and the rest will be unloaded from memory, but the program will keep cached icons and compiled code for a faster next start, while minimizing RAM usage.

OneCommander is written in memory-safe language, and due to the Windows managing it, there is no granular control available to developers so it won't win any prizes for lighweight memory, but this also means that the program is safer from tampering and plays nicer with other programs on Windows regarding memory usage.


File Automator

Advanced users ››

File Automator

This is a powerful way to rename files, convert between different image types, resize, and even do batch script operations.

It is one of the more difficult parts of the program, but instead of trying to explain everything, goal in the future is to simplify it


File View Designer/Editor

Advanced users ››

File View Designer/Editor

This is an advanced feature and is not meant for causal users. Understanding the system may require time and experimentation.

OneCommander uses dynamic columns (not classic column grid like Explorer) where the "columns" will show and hide depending on the view "design", set priority of the columns (removal order) and the total horizontal space available in the files list to display the file information.

The File View Designer is reached from the [image] button in the Folder Pane Toolbar and selecting Edit File Views. The list of files in the current folders will be loaded into the designer so you can see it on your actual data.

File Views designs are stored in .json files in the folder <Settings location> \Resources\FileDesigns (don't edit in text editor)

The File View currently being edited is shown in the "Edited view" field at the top of the window:

Most of the File View Designer is self-explanatory, and the easiest way of learning how to use it is to create a custom file view using the "Save as" button at the bottom of the window and experiment with it. You can see the effects of changes you make by clicking [image] near the top of the window and viewing the changes in the Edited view pane. Specific points:

IMPORTANT

  • Don't overwrite the existing views - each program update will overwrite it with default values. So save them as different names
  • Thumbnail grid view cannot be edited as it is build by different parameters
  • Don't edit view files in text editor; the program may crash

Pro tip:

If you create your own custom view, you can set it in the root of the drive (ex: C:\) and all folders in that drive will have that view (unless you override them in individual folders, in which case all sub-folders within that one will inherit that view.

String Format Column (removed from UI)

This is for advanced use only. If it is left blank, all values in the column are taken from OneCommander's Settings . It allows the user to go into great depth with customizing formats. Examples that can be used include different date and time formats (see https://docs.microsoft.com/en-us/dotnet/standard/base-types/standard-date-and-time-format-strings ), for example the time in a specific UTC zone or showing milliseconds, months written in words in the user's language, numbers formatted with commas, and so on.

Removal Order

When you make a Browser narrower, this setting determines the order in which columns disappear from the display. You can think of it as the reluctance of a particular column to disappear, where the higher the number the more reluctant the column is to vanish. So in the example above, if you shrink a Browser horizontally, Time is the first column to disappear and Name is the last. You can verify the Removal Order settings by clicking [image] and then moving the resizing handle in the Edited view pane to left and right.

Minwidth - the least amount of space needed for this column and trigger to collapse. If there isn't this much space available after ordering other higher-priority items, the column will hide and the space given to Name column. The order of hiding is guided by the Removal Order field.

Some are auto-calculated and therefore disabled (there is no point in showing date as 2024-11...)

Buttons across the bottom of the window

Load: Loads a File View Design file (they all end in ".json") from the folder <Settings location> \Resources\FileDesigns.
Save: Saves current File View Design file (i.e. the File View Design shown in the Edited view line at the top of the File View Designer window).
Save as: Saves current File View Design file under a new name.
Apply to current folder-pane and close (without saving): Applies the new File View to the current folder pane temporarily; the next time this folder is viewed, the File View will revert to the saved version.

Troubleshooting

Can't make the order I want

The most important option is Element Align (not text align) and the order of columns. The columns are built one-by-one. The first item is added and aligned either left or right, then the next one. You can change the order of items by dragging them by the drag-handle [image] and then you update preview to see if that's the order you wanted.


5._Troubleshooting.html

5. Troubleshooting

If something isn't working as it should, before you try anything else, check to see whether there is an update available for OneCommander.

Shortcut key isn't working

This could be because it's being intercepted by another app, which can be tricky to track down. Windows allows apps to list the system-wide hotkeys currently in use, but refuses to identify which applications are using them. A utility called Ethervane ActiveHotkeys (portable), which may not be supported any more, lists hotkeys currently in use by Windows. Then, by closing down apps one by one you should be able to identify the culprit.

Filename not accepted

The following characters are not permitted in Windows file names:
<>:"/\|?*
More information on file naming can be found here .

Some folders, e.g. C:\Users\<user name>\AppData, not visible

Make sure that you've checked all the "Visibility" options in Settings > View .

OneCommander won't start

OK, we get the irony: if you can't start the app, how can you read this? Except that there is a copy of this manual at OneCommander.com, which is presumably where you're reading this now. Here are three approaches, starting with the simplest and ending with a restart that involves losing your settings.

Approach 1: The Main Window may be hidden off screen. Try pressing Shift+F1 to bring it back into view.

If that doesn't work:

Approach 2: OneCommander may be "frozen". Open the Windows Task Manager, click on the Processes tab, and search for any entries for OneCommander, either in the Apps or Background Processes sections. If you find any, select them and click the "End task" button at the bottom right-hand corner of the Task Manager window, or right-click on them and select "End task". Try starting OneCommander.

If that doesn't work:

Approach 3: There may be a problem with OneCommander's main settings file.

  1. Find the Settings folder (e.g. C:\Users\<user name>\OneCommander\Settings\).
  2. Rename the file "OneCommanderV3.json" to something else, for example "OneCommanderV3.json.deactivated". This file will be recreated when you get to Step 4.
  3. Open the Windows Task Manager, click on the Processes tab, and search for any entries for OneCommander, either in the Apps or Background Processes sections. If you find any, select them and click the "End task" button at the bottom right-hand corner of the Task Manager window, or right-click on them and select "End task".
  4. Try starting OneCommander. If it works, great! However, you'll need to go through your Settings again, because they will have been reset to OneCommander's default values.

Something is spamming your filesystem with file changes errors

If a program is constantly changing many files at once the buffer that holds filesystem changes may get full and OneCommander will miss changes on disk. It may also degrade the life of your SSD (solid state drive). Go to Settings > Advanced for a utility that will help you identify the offending program.

When maximized on a two-screen display, the Main Window spreads slightly on to the second screen

This is an unfortunate feature of the third party library that renders the Main Window. The only fix available is to turn off the Acrylic window effect in Settings > Theme, shut down the program and restart.

Drag and drop not working with other programs

If you can't get another program to accept a file dropped when you've dragged it from OneCommander, try selecting "Use old Drag & Drop system" in Settings > Advanced .

Wrong program opening file

File associations are controlled by Windows - OC just tells Windows to open the file and doesn't say which program to use, so WIndows is the one making the decision.

Try right-click that file, Open with, choose some other program, tick to make it as default, restart PC, repeat the process but select the program you want.

This is more common issue with Microsoft Store version of OC. If this doesn't work, install the MSI version instead

If none of that helped...

Please email support@onecommander.com or go to the support forum at Google Groups .


Opening/saving Microsoft 365/Office documents

5._Troubleshooting.html ››

Opening/saving Microsoft 365/Office documents

Welcome to the 1990 !!! 🎉🕺

As of April 2024, Microsoft 218 365, AKA Microsoft Office, doesn't support opening or saving files where the total path length is above 218 or 259 characters

From the following page, retrieved in April 2024:

https://learn.microsoft.com/en-us/office/troubleshoot/office-suite-issues/error-open-document#cause

Microsoft Word, Microsoft PowerPoint, and Microsoft Access: The total length of the path and the file name, including file name extension, exceeds 259 characters.

Microsoft Excel: The total length of the path and the file name, including file name extension, exceeds 218 characters.

This limit includes the three characters that represent the drive, the characters in folder names, backslash characters between folder names, and the characters in the file name itself.

Ignore their "solutions" from that page.

Short term solution

First, try renaming file if it something long (to something like "a.xlsx")

If it is is still too long for Excel to open it:

Right-click on a folder containing the file, and choose:

Mount folder as new drive letter

This will make a new dummy drive (example M:) so open it from the sidebar and find that Excel file there (Something like M:\MyExcelFile.xlsx)

Note that this IS the same folder as the original, just "substituted", so if you do something with that file in there, the same will happen to it in the original folder

Once you are finished with it, you can Eject that virtual drive

Long term solution:

Shorten the total path by renaming all preceding folder names to something short. Name all future folders containing Office files with short names and don't create too many nested folder-with-a-folder structures.

Permanent solution (not possible in all companies):

Look for alternatives for Word, Excel, PowerPoint that is made after 1990.

(Sorry Microsoft, but you deserve the mock as this is unacceptable in the age of 6-GHz computers and Artificial Intelligence)

OpenOffice and LibreOffice are free and support Microsoft Office file formats... but I didn't test if they support long paths.


F.A.Q Random

5._Troubleshooting.html ››

OneCommander is slow on my computer

OC needs write access to disk often, so ensure it is stored on fast disk, like NVMe. Don't install it on mechanical disk or removable drive

Resizing window is choppy

No solution - Windowing system in Windows is like that - a simple window that has only a few buttons and other elements can react smoothly on resize, but OneCommander window has about 3000 elements in the visual tree (even one button has a text, a border, background, invisible highlight border and background and so on), so each mouse movement triggers re-measurement, rearranging, and redrawing of all 3000 elements. In the future there are plans to simplify visual tree, remove unnecessary transparencies, but this is not high priority as resizing a window is not something we do 100x per day, but when we do, it is tolerable and just knowing that it will NEVER be smooth on Windows no matter the amount of optimization, should give you some consolation (or maybe not)